sane-backends (1.0.30-1~experimental1) experimental; urgency=medium

  * New upstream release (Closes: #961302):
    - fixes CVE-2020-12867, CVE-2020-12862, CVE-2020-12863, CVE-2020-12865,
      CVE-2020-12861, CVE-2020-12864.
  * Migrate to debhelper 13:
    - Bump minimum debhelper-compat version in debian/control to = 13.
  * debian/watch: Fix to new gitlab download structure.
  * debian/rules:
    - Remove DEB_LDFLAGS_MAINT_APPEND after lintian warning.
    - Add override_dh_installman-arch to remove obsolete man page sane-config.1.
  * debian/control:
    - Replace Conflicts with Breaks.
  * Remove debian/libsane-dev.preinst because sane-config was removed in
    oldstable.

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 24 May 2020 19:45:00 +0200

sane-backends (1.0.29-1~experimental4) experimental; urgency=medium

  * Add HOST_NAME_MAX to debian/patches/0155-hurd_PATH_MAX.patch.

 -- Jörg Frings-Fürst <debian@jff.email>  Sat, 25 Apr 2020 15:38:30 +0200

sane-backends (1.0.29-1~experimental3) experimental; urgency=medium

  * Refresh patches/0155-hurd_PATH_MAX.patch.

 -- Jörg Frings-Fürst <debian@jff.email>  Sun, 12 Apr 2020 15:55:41 +0200

sane-backends (1.0.29-1~experimental2) experimental; urgency=medium

  * New debian/patches/0150-i386-test.patch:
    - Remove 4 tests failed tests on i386.
  * New patches/0155-hurd_PATH_MAX.patch:
    - Fix missing PATH_MAX on hurd-i386.
  * New patches/0160-big_endian.patch:
    - Fix FTBFS on big endian systems.
  * Remove now useless lintian overrides.

 -- Jörg Frings-Fürst <debian@jff.email>  Wed, 01 Apr 2020 22:36:36 +0200

sane-backends (1.0.29-1~experimental1) experimental; urgency=medium

  * New upstream release (Closes: #951213, #942727, #944998).
    - New debian/patches/0040-remove_git.patch to remove git access at
      build time.
    - Refresh patches:
      + debian/patches/0700-mk_reproducible_results.patch.
      + debian/patches/0710-sane-desc.c_debian_mods.patch.
      + debian/patches/0715-20-sane.hwdb_multi-arch.patch.
      + debian/patches/0725-fix_link_60-libsane_rule.patch.
      + debian/patches/0100-source_spelling.patch.
    - Refresh symbols file.
    - Refresh lintian overrides.
  * debian/rules:
    - Add --exclude=/sane/ to override_dh_makeshlibs-arch to generate
      only public symbols (Closes: #911597).
    - Don't install obsolete hal fdi file (Closes: #913282).
  * Remove architecture dependent symbols files.
  * Merge release 1.0.27-3.2 into source tree.
    - Thanks to John Paul Adrian Glaubitz for the bug fix.
  * New debian/patches/0725-fix_link_60-libsane_rule.patch:
    - Fix directory for 20-sane.hwdb (Closes: #916239).
  * New debian/patches/0155-genesys_gl847.patch:
    - Fix discolored bar on GL847 chip based scanners (Closes: #912603).
  * Fix missing set device to group scanner (Closes: #918358);
    - New debian/99-libsane.rules.
    - debian/libsane.install: Install File into /etc/udev/rules.d/
    - Change debian/TROUBLESHOOTING.Debian
  * debian/sane-utils.config: Remove the RUN parameter in compliance with
    Debian Policy Manual section 9.3.3.1 (Closes: #915197).
  * debian/copyright:
    - Add year 2020 for debian/*.
    - Add missing Uploaders to debian/*.
    - Refresh for the new upstream release.
  * Fix the lintian warning "libsane: package-name-doesnt-match-sonames
    libsane1":
    - debian/control: rename package libsane to libsane1.
    - debian/rules: Change filenames and directories from libsane to libsane1.
    - Rename debian/99-libsane.rules to debian/99-libsane1.rules.
  * Refresh debian/patches/0100-source_spelling.patch.
  * New debian/libsane-common.lintian-overrides and
    debian/libsane1.lintian-overrides to override false positive spelling-error.
  * Fix autopkgtest.
  * Migrate to debhelper 12:
    - Change debian/compat to 12.
    - Bump minimum debhelper version in debian/control to >= 12.
  * Declare compliance with Debian Policy 4.5.0 (No changes needed).
  * New debian/sane-utils.lintian-overrides to override false positive missing
    init.d script.
  * debian/control: Add Pre-Depends ${misc:Pre-Depends} to install invoke-rc.d.
  * debian/watch: Rewrite for the new Gitlab directory layout.
  * Rename debian/NEWS.Debian to debian/NEWS.
  * debian/control:
    - Add missing depends.
    - Change Conflicts/Replaces to the new release.
    - Add Rules-Requires-Root.
  * debian/*.manpages: Rewrite to install from new directory.
  * Switch to debhelper-compat:
    - debian/control: Replace debhelper with debhelper-compat.
    - Remove debian/compat.
  * Install all docs:
    - New debian/libsane-common.dirs, debian/libsane-common.docs,
      debian/not-installed.
  * Remove autopkgtest.
  * Remove unused files and patches.
  * Reuse debian/patches/0125-multiarch_dll_search_path.patch (Closes: #931297).
  * Override lintian error gzip-file-is-not-multi-arch-same-safe:
    - Update debian/libsane1.lintian-overrides.
    - New debian/libsane-dev.lintian-overrides.

 -- Jörg Frings-Fürst <debian@jff.email>  Tue, 17 Mar 2020 20:02:16 +0100

sane-backends (1.0.27-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * New debian/patches/0720-mustek_usb2-Avoid-stack-smashing.patch
    - Fix regression in the mustek_usb2 backend (Closes: #886777).

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sat, 23 Mar 2019 17:38:37 +0100

sane-backends (1.0.27-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libsane1 back to libsane, make the renamed package provide libsane1
    (Closes: #908681)

 -- Laurent Bigonville <bigon@debian.org>  Fri, 02 Nov 2018 20:30:06 +0100

sane-backends (1.0.27-3) unstable; urgency=medium

  * debian/rules:
    - Remove superfluous man page sane-config.1 (Closes: #910255).
      (Thanks to Michael Westwind <wormrunner@gmail.com>).
  * Declare compliance with Debian Policy 4.2.1 (No changes needed).
  * Remove outdated makedev dependency (Closes: #907017).
  * Reactivate and refresh debian/patches/0125-multiarch_dll_search_path.patch
    to allow driver from non-multiarch directories (Closes: #910103).
  * debian/control:
    - Change Breaks to Conflicts for binary package libsane1.

 -- Jörg Frings-Fürst <debian@jff.email>  Fri, 05 Oct 2018 07:18:56 +0200

sane-backends (1.0.27-2) unstable; urgency=medium

  * debian/control:
    - Remove obsolete section about sane-backends-extras.
    - Revert change from Breaks to Conflicts for binary package libsane1
      (Closes: #908681).

 -- Jörg Frings-Fürst <debian@jff.email>  Thu, 27 Sep 2018 08:30:18 +0200

sane-backends (1.0.27-1) unstable; urgency=medium

  * Upload to unstable (Closes: #905838, #905913).
  * debian/control:
    - Change Breaks to Conflicts for binary package libsane1
      (Thanks to Jeremy Bicha <jbicha@debian.org>).

 -- Jörg Frings-Fürst <debian@jff.email>  Fri, 31 Aug 2018 11:00:57 +0200

sane-backends (1.0.27-1~experimental6) experimental; urgency=medium

  * Refresh symbols file for sparc64.
  * Rewrite debian/watch for gitlab (Thanks to
    Sebastiaan Couwenberg <sebastic@xs4all.nl>).
  * Declare compliance with Debian Policy 4.1.5 (No changes needed).
  * Replace manual installation of systemd files with
    installation via dh_installsystemd (Closes: #905275).

 -- Jörg Frings-Fürst <debian@jff.email>  Fri, 03 Aug 2018 18:17:11 +0200

sane-backends (1.0.27-1~experimental5) experimental; urgency=medium

  * debian/rules:
    - Add rule to enable --enable-parport-directio for all
      architectures except hurd-i386.
  * debian/control:
    - Fix FTBFS on kfreebsd-*:
      + Exclude libsnmp-dev from Build-Depends for kfreebsd-any.
    - Change VCS-* to point to the new repository.
  * Refresh symbols files for the following architectures:
    - arm64, hppa, m68k, mips, mips64el, mipsel, powerpc,
      powerpcspe, ppc64, ppc64el, s390x, sh4.
  * Refresh debian/patches/0100-source_spelling.patch to
    fix typo in backend/apple.c.

 -- Jörg Frings-Fürst <debian@jff.email>  Thu, 31 May 2018 08:48:38 +0200

sane-backends (1.0.27-1~experimental4) experimental; urgency=medium

  * Change to my new email address.
  * debian/rules:
    - Add override_dh_autoreconf to prevent removal of libtool.m4
      (Closes: #887032).
    - Remove outdated configure parameter --enable-translations.
    - Add configure parameter --enable-parport-directio
      for better parallel port handling.
    - Rename configure parameter --with-docdir to --docdir.
    - Fix source directory for backend-writing.txt.
  * debian/copyright:
    - Use secure copyright format URI.
  * Migrate to debhelper 11:
    - Change debian/compat to 11.
    - Bump minimum debhelper version in debian/control to >= 11.
  * Declare compliance with Debian Policy 4.1.4:
    - Remove the RUN parameter from /etc/default/saned and /etc/init.d/saned
      in compliance with Debian Policy Manual section 9.3.3.1.
  * Refresh debian/patches/0100-source_spelling.patch.
  * New debian/patches/0715-20-sane.hwdb_multi-arch.patch:
    - Remove buildtime from 20-sane.hwdb to make the file ready for multi-arch.
      (Closes: #880391)
  * debian/libsane1.README.Debian:
    - Replace ConsoleKit with ConsoleKit/systemd-logind (Closes: #872364).
  * debian/control:
    - Add libsnmp-dev to Build-Depends to enable SNMP support.

 -- Jörg Frings-Fürst <debian@jff.email>  Sat, 14 Apr 2018 13:30:56 +0200

sane-backends (1.0.27-1~experimental3) experimental; urgency=medium

  * debian/control:
    - Drop outdated Recommends libsane-extras-dev to libsane-dev
      binary package (Closes: #868265).
    - Drop outdated texlive and texlive-latex-extra Build-Dependency.
  * debian/rules:
    - Drop create and install the /etc/sane.d/dll.d directory.
    - Move rules from override_dh_install-arch and override_dh_auto_install-arch
      to override_dh_install-indep and override_dh_auto_install-indep
      to build the arch all packages without error (CLoses: #870455).
    - At dh_systemd_enable use debian/saned.socket instead saned.socket.
    - Use DEB* vars via default.mk instead own functions.
  * Move libsane-common.install.in to libsane-common.install.
  * debian/copyright:
    - Add year 2017 for debian/*.
  * New debian/patches/0150-genesys-Fix-use-of-uninitialized-variable.patch:
    - Initializing usb_mode (Closes:# 869673).
      Thanks to Florian Lindemann <linde@bfw-online.de> and
      Olaf Meeuwissen <paddy-hack@member.fsf.org>.
  * Move install of man pages from debian/rules to libsane-common.manpages and
    sane-utils.manpages (Closes: #872366).
  * Move umax_pp.5 from libsane-common to sane-utils.
  * debian/sane-utils.saned.init:
    - Add parameter to --retry at the stop section (Closes: #871543).
  * libsane1.README.Debian:
    - Remove references to the libsane-extras package.
  * Correct typos in the previous changelog entry.
  * Declare compliance with Debian Policy 4.1.1 (No changes needed).
  * Move rm_conffile from libsane-common.preinst to libsane-common.maintscript.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sat, 28 Oct 2017 13:26:26 +0200

sane-backends (1.0.27-1~experimental2) experimental; urgency=medium

  * debian/rules:
    - Rename libsane.udev to libsane1.udev to make sure that
      60-libsane1.rules is actually created (Closes: #868312).
  * Rename libsane.udev to libsane1.udev in TROUBLESHOOTING.Debian
    and libsane1.README.Debian.
  * debian/control:
    - Add Breaks and Replaces against libsane to libsane1
      binary package (Closes: #868308).
    - Remove outdated Recommends libsane-extras to libsane1
      binary package (Closes: #868265).
    - Remove [!hurd-i386] from libusb-1.0-0-dev Build-Dependency.
  * debian/sane-utils.postrm:
    - Add set -e and silence update-inetd calls with "|| true".
  * Regenerate symbols files from build logs (Closes: #868309).
  * Use the hwdb+udev format (Closes: #869244):
    - debian/rules: Call sane-desc with -m udev+hwdb and -m hwdb,
      disable -m udev+acl call in override_dh_installudev-arch.
    - New file libsane1.dirs for /lib/udev/hwdb.d/.
  * Drop both dh-autoreconf/dh-systemd from both Build-Depends
    and dh command line as both are enabled by default for
    dh compat level 10.
  * Drop --parallel from the dh command line because parallel
    builds are enabled by default for dh compat level 10.
  * Drop .la files from libsane1.install (Closes: #868307).

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Fri, 28 Jul 2017 13:53:30 +0200

sane-backends (1.0.27-1~experimental1) experimental; urgency=medium

  * New upstream release
    - sane.ps is not longer included (Closes: #818544).
    - Fix a timing issue on USB3 hardware  (Closes: #792465).
    - Support CanoScan LiDE 120 (Closes: #853873).
    - Refresh patches:
      + 0020-nousbtest.patch
      + 0025-multiarch_manpages_libdir.patch
      + 0705-kfreebsd.patch
      + 0710-sane-desc.c_debian_mods.patch
    - Remove patches applied upstream:
      + 0005-libsane_deps.patch
      + 0010-unneeded_doc.patch
      + 0015-frontend_libs.patch
      + 0030-ppc64el.patch
      + 0100-source_spelling.patch
      + 0105-hp3900.patch
      + 0110-dll_backend_conf.patch
      + 0115-license_typo.patch
      + 0120-typo.patch
      + 0125-multiarch_dll_search_path.patch
      + 0135-saned-remotescanners.patch
      + 0500-CVE-2017-6318.patch
      + 0605-man_typo.patch
      + 0700-mk_reproducible_results.patch
  * New debian/patches/0140-avahi.patch
    - Avoid assertion failure when net_avahi_init failed (Closes: #861112).
  * New debian/patches/0145-avahi.patch:
    - Fix race condition (Closes: #743420).
  * debian/rules:
    - Remove outdated configure flag --enable-libusb_1_0.
    - Add new configure flag --withusb.
    - Use dh_auto_configure instead of ./configure.
  * Remove outdated debian/libsane-dev.NEWS (Closes: #852842).
  * debian/sane-uitls.postinst:
    - Add "|| true" after adduser call to continue installation if
      adduser fails (Closes: #860078).
  * Refresh debian/libsane.symbols.
  * New README.source to explain the branching model used.
  * Use the automatic debug symbol packages:
    - Remove libsane-dbg section from debian/control.
    - Remove override_dh_strip from debian/rules.
  * Declare compliance with Debian Policy 4.0.0. (No changes needed).
  * debian/saned.socket:
    - Change MaxConnections to the default value of 64 (Closes: 850649).
  * Refresh debian/copyright.
  * Rename libsane to libsane1 to match with the soname.
  * Remove useless *.lintan-overrides.
  * Remove autopkgtest:
    - The test needs networking which isn't available on the buildds.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Tue, 20 Jun 2017 23:17:47 +0200

sane-backends (1.0.25-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Correct missing error handler in (generated) prerm script by dropping the
    "error" handler entirely; it was only printing a generic message anyway.
    (Closes: #862334)

 -- Chris Lamb <lamby@debian.org>  Sun, 21 May 2017 10:04:48 +0200

sane-backends (1.0.25-4) unstable; urgency=medium

  * CVE-2017-6318:
    - New debian/patches/0500-CVE-2017-6318.patch
      + cherry-picked from upstream to fix memory corruption and
        information leakage (Closes: #854804).

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Wed, 19 Apr 2017 12:07:38 +0200

sane-backends (1.0.25-3) unstable; urgency=medium

  * debian/rules:
    - Fix FTBFS when building with 'dpkg-buildpackage -A' (Closes: #806104):
      + Split file into *-arch and *-indep parts.
      + Move "empty dependency_libs in all .la files" to
        override_dh_makeshlibs-arch.
      + Move installing of doc files for libsane-dev to
        override_dh_installdocs-arch.
      + New debian/libsane-dev.dirs.
  * Drop package libsane-bin binary package (Closes: #820964):
    - Remove libsane-bin binary package section, remove it from
      reverse dependencies of other packages in debian/control.
    - Remove debian/libsane-bin.*.
    - New debian/NEWS.Debian.
  * debian/patches:
    - Refresh and fix new typos:
      + 0100-source_spelling.patch
      + 0605-man_typo.patch.
    - New 0135-saned-remotescanners.patch:
        + Add patch to allow saned to report network-attached
        devices (Closes: #821255).
        Thanks to Dhionel Díaz <ddiaz@cenditel.gob.ve>.
  * debian/watch:
    - Bump version to 4 (no changes required).
  * debian/control:
    - Bump Standards-Version to 3.9.8 (no changes required).
    - Change Vcs-Browser to secure URI.
    - Add lsb-base to Depends for sane-utils.
  * Add year 2016 for debian/* in debian/copyright.
  * debian/sane-utils.saned.init:
    - Fix handling of stop and restart actions (Closes: #829244).
      Thanks to Chris Lamb <lamby@debian.org>.
  * Remove unused lintian overrides.
  * Migrate to debhelper 10:
    - Change debian/compat to 10.
    - Bump minimum debhelper version in debian/control to >= 10.
    - Refresh debian/patches to add changes in Makefile.am:
      + 0005-libsane_deps.patch
      + 0010-unneeded_doc.patch
      + 0015-frontend_libs.patch
      + 0025-multiarch_manpages_libdir.patch
      + 0125-multiarch_dll_search_path.patch
    - Refresh debian/libsane.shlibs
    - Refresh debian/libsane.symbols

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sat, 10 Dec 2016 13:45:15 +0100

sane-backends (1.0.25-2) unstable; urgency=medium

  * Undelete, refresh and rename debian/patches/
    0125-multiarch_dll_search_path.patch (Closes: #804240).
  * debian/rules:
    - Remove "UPSTREAM_VERSION" and use "VERSION" instead.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sat, 07 Nov 2015 08:50:49 +0100

sane-backends (1.0.25-1) unstable; urgency=medium

  * New upstream release (Closes: #740256).
  * Refresh patches:
    - debian/patches/0005-mk_reproducible_results.patch
    - debian/patches/001-scanimage_manpage.patch
    - debian/patches/ppc64el.patch
    - debian/patches/unneeded_doc.patch
    - debian/patches/libsane_deps.patch
    - debian/patches/frontend_libs.patch
    - debian/patches/multiarch_manpages_libdir.patch
    - debian/patches/dll_backend_conf.patch
    - debian/patches/sane-desc.c_debian_mods.patch
  * Remove patches applied upstream:
    - debian/patches/0105-artec_missing_home_environment.patch
    - debian/patches/multiarch_dll_search_path.patch
    - debian/patches/fix-FTBFS-format-not-a-string-literal-error.patch
    - debian/patches/kodakaio.patch
    - debian/patches/saned.man.patch
    - debian/patches/man-page-spelling.patch
    - debian/patches/source-spelling.patch
    - debian/patches/hp5370c.patch
    - debian/patches/out_of_bounds.patch
    - debian/patches/0500-systemd_configure.patch
    - debian/patches/0100-usb3-corrections.patch
  * Remove obsolete lintian-overrides.
  * Rename and reorder patches.
  * New debian/patches/0100-source_spelling.patch:
    - Correct typo in backend/hp-scl.c
  * debian/libsane-common.postrm:
    - Move #DEBHELPER# token to the end of the script.
  * debian/libsane-common.preinst:
    - Use dpkg-maintscript-helper to remove obsolete configuration
      file /etc/sane.d/v4l.conf during upgrade (Closes: #803535).
  * debian/rules:
    - Remove parameter -c0 from dh_makeshlibs call.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Mon, 02 Nov 2015 09:04:17 +0100

sane-backends (1.0.24-14) unstable; urgency=medium

  * debian/TROUBLESHOOTING.Debian:
    - Add troubleshooting section for cases where the device file
      system does not support ACLs (Closes: #789593).
  * debian/control:
    - To prevent error messages on startup, disable snmp by
      removing libsnmp-dev from Build-Depends (Closes: #787567).
  * debian/sane-utils.lintian-overrides:
    - Add maintainer-script-should-not-use-adduser-system-without-home.
  * Architecture-dependent binaries (Closes: #786923):
    - debian/control:
      + New package libsane-bin:
        Move architecture-dependent binaries from libsane-dev to libsane-bin.
      + Remove useless build dependency "dh-exec (>=0.3)".
    - debian/rules:
      + Delete command to move sane-config to sane-config.${DEB_HOST_MULTIARCH}.
    - New debian/libsane-dev.preinst:
      + Remove /usr/bin/sane-config.*.
      + Remove symbolic link to /usr/bin/sane-config.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sun, 30 Aug 2015 19:02:57 +0200

sane-backends (1.0.24-13) unstable; urgency=medium

  * debian/rules:
    - Move architecture-dependent file sane-config to
      sane-config.${DEB_HOST_MULTIARCH} (Closes: #786923).
  * debian/control:
    - Add "dh-exec (>=0.3)" to Build-Depends. dh-exec is required
      for the new file libsane-dev.links.
  * New debian/libsane-dev.links:
    - Create link from sane-config.${DEB_HOST_MULTIARCH} to
      sane-config.
  * New debian/upstream/metadata:
    - Add some DEP-12 upstream metadata.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Wed, 27 May 2015 12:25:28 +0200

sane-backends (1.0.24-12) unstable; urgency=medium

  * debian/sane-utils.postinst:
    - Fix home directory move (Closes: #785709).
  * debian/patches/0005-mk_reproducible_results.patch:
    - Build sane.ps without comments containing date/time.
  * New debian/patches/0105-artec_missing_home_environment.patch:
    - Test the environment variable $HOME before use (Closes: #786452).
  * debian/control:
    - Add "Multi-Arch: same" to package libsane-dev to make
      it co-installable (Closes: #786560).
  * New debian/sane-utils.links:
    - Add a link from /dev/null to /lib/systemd/system/saned.service
      to prevent start via fallback script /etc/init.d/saned.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Mon, 25 May 2015 09:23:16 +0200

sane-backends (1.0.24-11) unstable; urgency=medium

  * debian/control:
    - Add dpkg (>= 1.15.7.2) to Pre-Depends of package libsane-common since
      dpkg needs to be installed for the rm_conffile command to work
      (Closes: #784763).
  * debian/libsane-common.preinst:
    - Fix syntax for calling dpkg-maintscript-helper.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Fri, 08 May 2015 22:02:11 +0200

sane-backends (1.0.24-10) unstable; urgency=high

  * New debian/TROUBLESHOOTING.debian:
    - Add part for "usbfs: interface 1 claimed by usblp while
      ‘scanimage’ sets config #1 (Closes: #726588).
  * Add reference to TROUBLESHOOTING.debian in debian/README.debian.
  * New debian/patches/001-scanimage_manpage.patch:
    - Add remark for parameter to manpage (Closes: #418630).
  * New debian/patches/0005-mk_reproducible_results.patch:
    - Make builds reproducible.
  * debian/control:
    - On package libsane-dev change Depends from libgphoto2-2-dev to
      libgphoto2-dev (auto-libgphoto2 transition) (Closes: #783822).
    - On package libsane remove package hpoj from Suggests.
    - Remove useless replaces because latest release in stable is 1.0.22-7:
       + sane-utils: libsane (<< 1.0.11-4)
       + libsane-common: libsane (<< 1.0.22-4~)
       + libsane: libsane-extras (<< 1.0.18.14)
       + libsane-dev: libsane-extras-dev (<< 1.0.18.14)
       + libsane-dbg: libsane-extras-dbg (<< 1.0.18.14)
    - Remove "libv4l-dev [linux-any]" from Build-Depends and Depends.
    - To enable net SNMP, add libsnmp-dev to Build-Depends.
    - To autodetect network scanners in kodakaio, add libcups2-dev
      to Build-Depends.
    - Remove unnecessary *-dev and pkg-config from Depends of libsane-dev.
  * debian/rules:
    - Enable pnm backend for testing.
    - Remove override_dh_builddeb because xz compression is now standard.
    - Add configure parameter --without-vl4 to disable v4l backend:
      + The backend was written for kernel 2.4 and v4l, now
        we are at kernel 3.16 and v4l2 (Closes: #446015).
    - Remove configure parameter -with-snmp=no to enable net SNMP.
  * debian/saned@.service:
    - Remove Alias from [Install] section (Closes: #778268).
  * sane-utils.[postinst|postrm]:
    - Replace fixed path with a POSIX-compliant shell function to check
      the existence of a command.
  * Add autopkgtests:
    - debian/control:
      + Add Testsuite: autopkgtest.
    - New debian/tests/control.
    - New debian/tests/start-net:
      + Test network interface activation with systemd.
  * Add symbols file:
    - debian/rules: Rewrite override_dh_makeshlibs.
  * Comment out "set -e" at debian/sane-utils.postrm
    to fix some minor errors during piuparts.
  * debian/saned@.service:
    - Change StandardInput=socket to StandardInput=null to enable
      working over network (Closes: #782971).
  * debian/libsane-common.preinst:
    - Remove oldstyle rm_conffile() function.
    - Remove obsolete transition from the old-style udev setup.
    - Add removal for obsolete /etc/sane.d/v4l.conf via
      dpkg-maintscript-helper command rm_conffile.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Fri, 08 May 2015 11:01:35 +0200

sane-backends (1.0.24-9) unstable; urgency=medium

  * debian/sane-utils.postinst:
    - Correct typo and add missing -q option to grep (Closes: #773826).
      Thanks to "Nelson A. de Oliveira" <naoliv@debian.org>.
    - Add start/stop around the move of the home directory
      if scanbd is running during postinst (Closes: #774941).
      Thanks to "Olaf Meeuwissen" <olaf.meeuwissen@avasys.jp>.
  * debian/rules:
    - Add line to extract the version from debian/changelog.
    - Add version string to dpkg-gensymbols.
  * debian/copyright:
    - Add year to 2015 on my debian/* tag.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sat, 10 Jan 2015 13:56:10 +0100

sane-backends (1.0.24-8) unstable; urgency=medium

  * New debian/patches/0100-usb3-corrections.patch:
    - Cherry-picked from upstream to address
      USB3/xhci problems (Closes: #738592).
  * debian/saned@.service:
    - Move Alias to section [Install] (Closes: #773371).

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sat, 27 Dec 2014 09:36:22 +0100

sane-backends (1.0.24-7) unstable; urgency=medium

  * debian/rules:
    - Split dh_installinit in two parts for systemd and SysV-style.
    - Install systemd files without dh to prevent
      side effects (Closes: #773320).
    - Override dh_systemd_enable to not enable saned.socked.
  * debian/sane-utils.lintian-overrides:
    - Override systemd-no-service-for-init-script.
  * debian/sane-utils.postrm:
    - Add purge for the manually installed files.
  * debian/sane-utils.README.Debian:
    - Add instructions for use with systemd.
  * debian/sane-utils.saned.default:
    - Add note for enabling under systemd.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Wed, 17 Dec 2014 09:18:47 +0100

sane-backends (1.0.24-6) unstable; urgency=medium

  * Revert changes from 1.0.24-5.
  * Rename sane-utils.saned.service to sane-utils.saned@.service to
    install it as template (Closes: #769196).
  * For test for newer versions of systemd:
    - New debian/patches/0500-systemd_configure.patch
      + Add part into configure.in to find systemd >=209
    - debian/control:
      + Add autoconf and libsystemd-dev to Built-Depends.
    - debian/rules:
      + Add autoconf before running configure to build the patched
        configure script.
    - Thanks to Michael Biebl <biebl@debian.org>.
  * Change sane-utils.saned@.service and sane-utils.saned.socket
    for running as template (Closes: #772955).
  * debian/sane-utils.postinst:
    - Add part to move the homedir from /home/saned to /var/lib/saned.
      (Closes: #665915)
  * New debian/sane-utils.lintian-overrides:
    - Override postrm-contains-additional-updaterc.d-calls.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sat, 13 Dec 2014 11:20:55 +0100

sane-backends (1.0.24-5) unstable; urgency=medium

  * debian/rules:
    - change saned.service to saned@.service to install it as
      template (Closes: #769196).

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Wed, 10 Dec 2014 11:50:44 +0100

sane-backends (1.0.24-4) unstable; urgency=medium

  * debian/rules:
    - Move the creation of /etc/sane.d/dll.d to libsane-common.
  * Move libsane.(postrm|preinst) to libsane-common.* to handle
    in the right package. (Closes: #766340)
  * Remose useless ( <  "1.0.19-25" ) from libsane-common.preinst.
  * debian/patches:
    - New typo.patch:
      + Correct typo in backend/gennesys.conf.in. (Closes: #743848)
        Thanks to Jakub Wilk <jwilk@debian.org>.
    - New hp3900.patch:
      + Set startup gamma to the standalone default. (Closes: #629470)
        Thanks to Peter Walser <pjw1965@gmail.com>.
    - New hp5370c.patch:
      + Improved recognizability.(LP: #1080787)
    - New out_of_bounds.patch:
      + Prevent some out-of-bounds.
  * debian/control:
    - Change Build-Depends from the transitional package libgphoto2-2-dev
      to libgphoto2-dev. (Closes: #736451)

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Mon, 27 Oct 2014 22:36:01 +0100

sane-backends (1.0.24-3) unstable; urgency=medium

  * debian/rules:
    - Revert moving of HTML documentation to previous method to fix FTBFS
      and simply delete duplicate HTML files afterwards. (Closes: #765339)

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Tue, 14 Oct 2014 14:25:25 +0200

sane-backends (1.0.24-2) unstable; urgency=medium

  * New Maintainer. (Closes: #764198)
  * debian/control:
    - Set myself as Maintainer.
    - Add missing Vcs-* fields.
    - Bump Standards-Version to 3.9.6 (no changes required).
    - Add dh-systemd to Build-Depends.
  * debian/copyright:
    - Rewrite into machine-readable format.
    - Add myself to the list of authors for debian/*.
  * debian/sane-utils.saned.init:
    - Replace avahi with avahi-daemon to make it systemd-
      compatible. (Closes: #731610)
    - Add fancy lsb output. (Closes: #676845)
      Thanks to Dirk Sandbrink <d.sandbrink@gmail.com>.
  * debian/libsane/README.Debian:
    - TROUBLESHOOTING section: Add handling of "HP ScanJet 3400 C
      type C7720A" on Device busy message. (Closes: #653857)
      Thanks to Joost van Baal-Ilić <joostvb-debian-bugs-20111231-2@mdcc.cx>.
  * debian/sane-utils.postinst:
    - Set the home directory to /var/lib/saned at adduser call.
      (Closes: #665915)
  * debian/rules:
    - libsane-common: Correct moving of HTML files to prevent
      duplicate files within the package.
    - Add systemd to dh commandline.
    - Manuelly install the systemd .socket file.
  * Add systemd support:
    - New file sane-utils.saned.system.
    - New file sane-utils.saned.socket.
  * Move /etc from libsane to libsane-common.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Tue, 14 Oct 2014 08:57:02 +0200

sane-backends (1.0.24-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * update config.* without dh-autoreconf because of local patches
    to build on ppc64el. (Closes: #759289)

 -- Andreas Barth <aba@ayous.org>  Sat, 30 Aug 2014 11:57:08 +0000

sane-backends (1.0.24-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS for binary-arch builds:
    + Install examples through debian/libsane-common.examples.
    + Use proper source paths for sane.ps and backend-writing.txt;
      also fix the source path for the HTML files installed into
      libsane-common.
  * Clean up debian/changelog.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sat, 18 Jan 2014 21:07:24 +0100

sane-backends (1.0.24-1) unstable; urgency=low

  * New upstream release.
  * New maintainer. (Closes: #688531)
  * Disable USB testing since it (probably) doesn't work on autobuilders.
  * Fixed a bunch of lintian warnings.
  * Change architecture for libsane-common from "any" to "all".

 -- Mark Buda <hermit@acm.org>  Sun, 24 Nov 2013 10:05:18 -0500

sane-backends (1.0.23-3) unstable; urgency=low

  * QA upload.
  * Revert move to libtiff5-dev.

 -- Rene Engelhard <rene@debian.org>  Sat, 06 Jul 2013 15:20:16 +0200

sane-backends (1.0.23-2) unstable; urgency=low

  * QA upload.
  * Add sane-desc.c_debian_mods.patch to series file. (Closes: #714993)

 -- Markus Koschany <apo@gambaru.de>  Fri, 05 Jul 2013 11:52:37 +0200

sane-backends (1.0.23-1) unstable; urgency=low

  * QA upload.
  * Upload to unstable.
  * This package has been orphaned. Set maintainer to the Debian QA Group.
  * Bump compat level to 9 (was 5) and require debhelper >= 9.
  * debian/control:
    + sane-utils: Inherit Section: graphics from source package sane-backends.
    + Remove versioned dependencies. They are trivially satisfied.
  * Drop the following patches. They are merged upstream now.
    + fix_v4l_build.patch
    + hurd_path_max_fix.patch
    + sane_desc_udev+acl.patch
    + scanimage_man_batch_start.patch
    + udev_usb_suspend.patch
    + xerox_mfp_add_scx_4623fw.patch
    + xerox_mfp_fix_usb_device.patch
  * Drop disable_rpath.patch because the RPATH is already removed by chrpath
    in debian/rules.
  * Rebase and refresh all other patches against the new upstream relase.
  * debian/rules:
    + Simplify debian/rules by using dh sequencer.
    + Build with --parallel and with autotools_dev.
    + Enable all hardening build flags.
    + Install umax_pp with sane-utils.install.
  * Build-Depend on libtiff5-dev. Thanks to Michael Terry for the patch.
    (Closes: #681079)
  * Build-Depend on libusb-1.0-0-dev and enable libusb1.0 support in
    debian/rules. Thanks to Martin Pitt for the report and Whoopie for the
    patch. (Closes: #687137)

 -- Markus Koschany <apo@gambaru.de>  Thu, 04 Jul 2013 17:41:47 +0200

sane-backends (1.0.23-0.1~experimental1) experimental; urgency=low

  * Non-maintainer upload.
  * New upstream release.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sat, 23 Feb 2013 20:12:58 +0100

sane-backends (1.0.22-7.4) unstable; urgency=low

  * Non-maintainer upload.
  * Compress all binaries with xz to free up some space on CD#1.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 17 Sep 2012 16:44:07 +0200

sane-backends (1.0.22-7.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix build failure on kFreeBSD. (Closes: #680234)

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 15 Jul 2012 17:07:15 -0400

sane-backends (1.0.22-7.2) unstable; urgency=low

  * Non-maintainer upload.
  * Set sane-utils as 'Multi-Arch: foreign'. (Closes: #675797)

 -- Michael Gilbert <mgilbert@debian.org>  Thu, 28 Jun 2012 16:53:15 -0400

sane-backends (1.0.22-7.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    + Catalan; (Innocent De Marchi). (Closes: #646505)
    + Slovak (Slavko). (Closes: #639235)
    + Polish (Michał Kułach). (Closes: #658351)

 -- Christian Perrier <bubulle@debian.org>  Wed, 28 Mar 2012 07:39:00 +0200

sane-backends (1.0.22-7) unstable; urgency=low

  * debian/patches/sane-desc.c_debian_mods.patch:
    + Updated; do not output a timestamp as part of the udev rules file
      header, it is a source of conflict for MultiArch.

 -- Julien BLACHE <jblache@debian.org>  Mon, 21 Nov 2011 15:39:26 +0100

sane-backends (1.0.22-6) unstable; urgency=low

  * debian/control:
    + Fix ibcam-dev -> libcam-dev typo.

 -- Julien BLACHE <jblache@debian.org>  Thu, 21 Jul 2011 17:54:48 +0200

sane-backends (1.0.22-5) unstable; urgency=low

  * debian/control:
    + Replace explicit architecture lists with appropriate architecture
      wildcards; patch from Robert Millan. (Closes: #634518)
    + Use kfreebsd-any architecture wildcard for libcam-dev in libsane-dev's
      Depends field, getting rid of the custom libcam-dev substvar.
    + Use linux-any architecture wildcard for udev | makedev, acl in libsane's
      Depends field, gettind rid of the custom udev substvar.
  * debian/rules:
    + Remove custom libcam-dev and udev substvars in dh_gencontrol call.

 -- Julien BLACHE <jblache@debian.org>  Wed, 20 Jul 2011 19:52:51 +0200

sane-backends (1.0.22-4) unstable; urgency=low

  * Convert for MultiArch.
  * debian/control:
    + Bump debhelper build-dep to >= 8.1.3 for multiarch.
    + Add Pre-Depends: ${misc:Pre-Depends} to libsane.
    + Tag libsane with Multi-Arch: same.
    + New Multi-Arch: foreign libsane-common binary package.
    + Add libsane-common dependency to libsane.
  * debian/rules:
    + Use multiarch path.
    + libsane.install.in is now libsane-common.install.in.
    + libsane.docs is gone.
    + Create the multiarch pkgconfig directory and install the .pc file here.
    + Stop creating the gt68xx firmware directory in libsane.
    + Move HAL FDI file to libsane-common.
    + Disable SNMP support explicitly (needs Net-SNMP 5.6).
  * debian/libsane-dev.install:
    + Adapt for multiarch.
  * debian/libsane.install.in -> debian/libsane.install:
    + Adapt for multiarch, transfer multiarch-incompatible content to
      libsane-common.
  * debian/libsane-common.install.in:
    + Adopt multiarch-incompatible content previously found in libsane.
  * debian/libsane.links -> debian/libsane-common.links:
    + Transfer documentation symlinks to libsane-common.
  * debian/libsane-dev.dirs:
    + Removed; pkgconfig directory created in debian/rules.
  * debian/patches/multiarch_dll_search_path.patch:
    + Added; make /usr/lib/arch_triplet/sane the default location for SANE
      backends but keep /usr/lib/sane as a fallback for now.
  * debian/patches/multiarch_manpages_libdir.patch:
    + Added; use a generic /usr/lib/arch_triplet/sane path for backend
      location in the man pages (otherwise substituted from LIBDIR).

 -- Julien BLACHE <jblache@debian.org>  Mon, 13 Jun 2011 17:07:05 +0200

sane-backends (1.0.22-3) unstable; urgency=low

  * debian/control:
    + Bump Standards-Version to 3.9.2 (no changes).
  * debian/libsane.NEWS:
    + Added; document the switch to ACLs starting with 1.0.22-1.
  * debconf translations:
    + pt_BR.po: update from Eder L. Marques. (Closes: #619612)
    + nl.po: courtesy of Jeroen Schot. (Closes: #627043)

 -- Julien BLACHE <jblache@debian.org>  Thu, 02 Jun 2011 14:57:53 +0200

sane-backends (1.0.22-2) unstable; urgency=low

  * debian/patches/udev_usb_suspend.patch:
    + Added; switch to using power/control instead of power/level for
      device power setting, if available.
  * debian/patches/xerox_mfp_fix_usb_devices.patch:
    + Added; fix detection/handling of USB devices in xerox_mfp.
      (Closes: #617307)
  * debian/patches/xerox_mfp_add_scx_4623fw.patch:
    + Added; add IDs for the Samsung SCX-4623FW.
  * debian/patches/hurd_path_max_fix.patch:
    + Added; fix build on HURD where PATH_MAX is not defined.
      (Closes: #616299)
  * debian/patches/scanimage_man_batch_start.patch:
    + Added; fix improper documentation of --batch-start. (Closes: #614009)

 -- Julien BLACHE <jblache@debian.org>  Sat, 12 Mar 2011 11:32:32 +0100

sane-backends (1.0.22-1) unstable; urgency=low

  * New upstream release.
    + epson2: reject scan area settings that would lead to a division by zero.
      (Closes: #581181)
  * debian/control:
    + Bump Standards-Version to 3.9.1 (no changes).
    + Demote libsane-extras-* to Recommends again.
  * debian/rules:
    + Add acl (>= 2.2.49-4) to udev substvar for ACL utilities in /bin.
    + Use sane-desc -m udev+acl. (Closes: #591767, #612815)
  * debian/libsane.README.Debian:
    + Update; mention ConsoleKit and the udev rules now using ACLs.

  * debian/patches/sane-desc_udev+acl.patch:
    + Added; compared to experimental, setfacl is now in /bin.
  * debian/patches/fix_xerox_mfp_color_mode.patch,
    debian/patches/use_libsane_matched_for_scsi.patch,
    debian/patches/allow_dll.d_symlinks.patch,
    debian/patches/saned_exit_avahi_process.patch,
    debian/patches/xerox_mfp_new_ids.patch,
    debian/patches/scsi_perfection_2450.patch,
    debian/patches/scsi_scanjet_4c.patch,
    debian/patches/genesys_disable_raw_data_log.patch,
    debian/patches/fix_epson2_commands.patch,
    debian/patches/fix_epson2_cancel.patch:
    - removed; merged upstream.

 -- Julien BLACHE <jblache@debian.org>  Wed, 16 Feb 2011 19:00:55 +0100

sane-backends (1.0.22~git1.0.21-157-g126c70d-1) experimental; urgency=low

  * Git snapshot.
  * debian/rules:
    + Add dependency on acl to libsane when depending on udev.
    + Use udev+acl mode when generating udev rules.
  + debian/patches/sane-desc_udev+acl.patch:
    + Added; try using ACLs for USB scanners in an effort to deconflict with
      MFP devices.

 -- Julien BLACHE <jblache@debian.org>  Wed, 21 Jul 2010 18:36:37 +0200

sane-backends (1.0.22~git1.0.21-87-g323ed01-1) experimental; urgency=low

  * Git snapshot.
    + genesys now has some support for LiDE 100 & 200. (Closes: #586189)

 -- Julien BLACHE <jblache@debian.org>  Wed, 23 Jun 2010 18:37:59 +0200

sane-backends (1.0.21-9) unstable; urgency=low

  * debian/patches/fix_epson2_cancel.patch:
    + Added; fix handling of scanner errors by sending a cancel command.
      (Closes: #597922)

 -- Julien BLACHE <jblache@debian.org>  Sun, 12 Dec 2010 16:31:25 +0100

sane-backends (1.0.21-8) unstable; urgency=low

  * debian/patches/fix_epson2_commands.patch:
    + Added; fix list of supported commands for levels D1 and D2.
      (Closes: #582066)

 -- Julien BLACHE <jblache@debian.org>  Mon, 29 Nov 2010 18:12:16 +0100

sane-backends (1.0.21-7) unstable; urgency=low

  * debian/patches/genesys_disable_raw_data_log.patch:
    + Added; disable raw data logging. Raw data logging was enabled
      upstream at some point before 1.0.21 most probably as an oversight
      when committing new code. When enabled, a raw.pnm file is left
      behind in the cwd when using the genesys backend. (Closes: #602995)
  * debconf translations:
    + Properly install vi.po, mistakenly put in po/ instead of
      debian/po in 1.0.21-6.

 -- Julien BLACHE <jblache@debian.org>  Mon, 15 Nov 2010 19:00:34 +0100

sane-backends (1.0.21-6) unstable; urgency=low

  * debian/patches/saned_exit_avahi_process.patch:
    + Added; exit Avahi process on error/loop termination.
  * debian/patches/xerox_mfp_new_ids.patch:
    + Added; add USB IDs for supported machines in xerox_mfp. (Closes: #601748)
  * debian/patches/scsi_perfection_2450.patch:
    + Added; add SCSI IDs for the Perfection 2450 via FireWire.
      (Closes: #601810)
  * debian/patches/scsi_scanjet_4c.patch:
    + Added; add SCSI IDs for the ScanJet 4c. (Closes: #601656)
  * debconf translations:
    + vi.po: courtesy of Clytie Siddall. (Closes: #601530)

 -- Julien BLACHE <jblache@debian.org>  Sat, 06 Nov 2010 11:21:40 +0100

sane-backends (1.0.21-5) unstable; urgency=low

  * debconf translations:
    + cs.po: courtesy of Miroslav Kure. (Closes: #598338)
    + zh_CN.po: courtesy of YunQiang Su (Closes: #599590, #599591).
    + da.po: courtesy of Joe Dalton. (Closes: #599642)
    + eu.po: courtesy of Iñaki Larrañaga Murgoitio. (Closes: #599810)
    + es.po: courtesy of Camaleón. (Closes: #600342)
    + fi.po: courtesy of Esko Arajärvi. (Closes: #600514)

 -- Julien BLACHE <jblache@debian.org>  Mon, 18 Oct 2010 10:08:12 +0200

sane-backends (1.0.21-4) unstable; urgency=low

  * debconf translations:
    + it.po: courtesy of Luca Monducci. (Closes: #593722)

 -- Julien BLACHE <jblache@debian.org>  Sun, 05 Sep 2010 09:44:28 +0200

sane-backends (1.0.21-3) unstable; urgency=low

  * debian/control:
    + Bump Standards-Version to 3.9.0 (no changes).
  * debian/patches/use_libsane_matched_for_scsi.patch:
    + Added; use libsane_matched for SCSI scanners rules too.
  * debian/patches/allow_dll.d_symlinks.patch:
    + Added; allow symlinks under /etc/sane.d/dll.d. (Closes: #588392)

 -- Julien BLACHE <jblache@debian.org>  Fri, 09 Jul 2010 18:21:58 +0200

sane-backends (1.0.21-2) unstable; urgency=low

  * debian/patches/fix_xerox_mfp_color_mode.patch:
    + Added; fix xerox_mfp color mode, from upstream. (Closes: #583789)

 -- Julien BLACHE <jblache@debian.org>  Tue, 01 Jun 2010 19:34:19 +0200

sane-backends (1.0.21-1) unstable; urgency=low

  * New upstream release. (Closes: #579254)
  * Moved to source format 3.0 (quilt).
  * debian/control:
    + Removed dpatch build-dep.
    + Add dependency on pkg-config to libsane-dev.
  * debian/rules:
    + Removed dpatch code.
    + --disable-fork-process -> --enable-pthread.
    + Install the pkg-config file for sane-backends.
  * All patches refreshed, tagged with DEP-3 headers.

 -- Julien BLACHE <jblache@debian.org>  Mon, 26 Apr 2010 19:59:08 +0200

sane-backends (1.0.20-14) unstable; urgency=low

  * debian/control:
    + Depend and build-depend on libjpeg-dev instead of libjpeg62-dev.
      (Closes: #569240)
    + Bump Standards-Version to 3.8.4 (no changes).
  * debian/sane-utils.saned.init:
    + Add $remote_fs to Required-Start & Required-Stop.
  * debconf translations:
    + fr.po: courtesy of Christian Perrier. (Closes: #564595)

 -- Julien BLACHE <jblache@debian.org>  Sat, 13 Feb 2010 10:03:12 +0100

sane-backends (1.0.20-13) unstable; urgency=low

  * debian/patches/34_genesys_gl841_cal_fix.dpatch:
    + Added; fix calibration on gl841-based scanners. (Closes: #563163)
  * debconf translations:
    + ja.po: courtesy of Hideki Yamane. (Closes: #564294)

 -- Julien BLACHE <jblache@debian.org>  Sun, 10 Jan 2010 15:21:22 +0100

sane-backends (1.0.20-12) unstable; urgency=low

  * debian/patches/33_epson2_update.dpatch:
    + Update epson2 from git HEAD. (Closes: #534746)
  * debconf translations:
    + de.po: courtesy of Helge Kreutzmann. (Closes: #562709)
    + sv.po: courtesy of Martin Bagge. (Closes: #562931)
    + ru.po: courtesy of Yuri Kozlov. (Closes: #563076)
    + pt.po: courtesy of Américo Monteiro. (Closes: #563174)

 -- Julien BLACHE <jblache@debian.org>  Fri, 01 Jan 2010 12:49:10 +0100

sane-backends (1.0.20-11) unstable; urgency=medium

  * Urgency set to medium to unbreak saned in testing.
  * debian/patches/12_saned_polling_fix.dpatch:
    + Added; unbreak saned's polling loop for more than 1 fds. (Closes: #562248)
  * debian/patches/13_saned_aliasing_fix.dpatch:
    + Added; fix strict aliasing issues in saned for gcc 4.4.

 -- Julien BLACHE <jblache@debian.org>  Thu, 24 Dec 2009 17:33:35 +0100

sane-backends (1.0.20-10) unstable; urgency=low

  * debian/libsane.README.Debian:
    + Updated udev-related information and instructions, added a note about
      only adding rules for scanners supported by libsane.
  * debian/sane-utils.saned.init:
    + Add missing --oknodo in s-s-d stop call in restart case.
      (Closes: #558648)
  * debian/sane-utils.templates:
    + Rework the standalone saned template and mention Avahi explicitly.
      (Closes: #556877)
  * debian/patches/22_dll_backend_conf.dpatch:
    + Updated; use better wording for the comment about the net backend
      in dll.conf. (Closes: #556912)
  * debian/patches/32_epson_perfection636.dpatch:
    + Added; add the Epson Perfection 636 SCSI scanner. (Closes: #555971)

 -- Julien BLACHE <jblache@debian.org>  Sat, 12 Dec 2009 11:33:09 +0100

sane-backends (1.0.20-9) unstable; urgency=low

  * debian/patches/11_udev_147.dpatch:
    + Added; remove NAME= from SCSI rules as udev 147 complains about it. Also
      remove support for kernel < 2.6.22. (Closes: #555443)

 -- Julien BLACHE <jblache@debian.org>  Mon, 09 Nov 2009 21:01:32 +0100

sane-backends (1.0.20-8) unstable; urgency=low

  * debian/rules:
    + Fix nostrip builds, thanks to Tollef Fog Heen. (Closes: #548152)
  * debian/patches/31_genesys_raw_log_fix.dpatch:
    + Added; add missing check when logging raw data. Patch by
      Tollef Fog Heen <tfheen@err.no>. (Closes: #548154)

 -- Julien BLACHE <jblache@debian.org>  Sat, 26 Sep 2009 11:44:04 +0200

sane-backends (1.0.20-7) unstable; urgency=low

  * debian/control:
    + Demote avahi-daemon to a Suggests. (Closes: #543335)
    + libv4l-dev is not available on hurd-i386 either. (Closes: #545995)
  * debian/patches/30_xerox_samsung_ids.dpatch:
    + Added; add USB IDs for various Samsung-branded MFPs. (Closes: #545290)

 -- Julien BLACHE <jblache@debian.org>  Fri, 11 Sep 2009 19:16:15 +0200

sane-backends (1.0.20-6) unstable; urgency=low

  * debian/control:
    + Bump Standards-Version to 3.8.3 (no changes).
  * debian/rules:
    + Empty dependency_libs in all .la files.
  * debian/patches/10_sanei_usb_update.dpatch:
    + Added; from git, favour the interface detected by sanei_usb_init().
      This helps with some machines like the Canon MP730.

 -- Julien BLACHE <jblache@debian.org>  Sat, 29 Aug 2009 16:55:34 +0200

sane-backends (1.0.20-5) unstable; urgency=low

  * debian/control:
    + Bump Standards-Version to 3.8.2 (no changes).
  * debian/patches/08_cardscan_usbids.dpatch:
    + Added; fix USB IDs for the CardScan 800c. (Closes: #528829)
  * debian/patches/09_po_update_es_add_gl.dpatch:
    + Added; update es translation and add new gl translation, courtesy of
      Miguel Bouzada <mbouzada@gmail.com>.
  * debian/patches/20_disable_rpath.dpatch:
    + Added; do not use rpath. For some reason this decided to pop up now,
      even though the previous revision of the package did not suffer from
      this. Go figure.

 -- Julien BLACHE <jblache@debian.org>  Fri, 26 Jun 2009 14:39:41 +0200

sane-backends (1.0.20-4) unstable; urgency=low

  * debian/rules:
    + Serialize autotools/patch/configure for parallel builds, now that
      parallel builds are possible with the upstream build system.
      (Closes: #506620)
  * debian/control:
    + Bump libsane-extras dependencies to 1.0.20.1.
  * debian/sane-utils.saned.init:
    + Add status action, taken from iaxmodem. (Closes: #528265)
  * debian/patches/07_tools_missing_libcam.dpatch:
    + Added; fix sane_find_scanner build on kFreeBSD by adding missing SCSI
      libraries. From upstream via Aurélien JARNO. (Closes: #528594)

 -- Julien BLACHE <jblache@debian.org>  Thu, 14 May 2009 12:06:47 +0200

sane-backends (1.0.20-3) unstable; urgency=low

  * debian/patches/06_cap_always_settable.dpatch:
    + Added; add back SANE_CAP_ALWAYS_SETTABLE which was mistakenly
      removed from SANE 1.0.20. (Closes: #527675, #527682)

 -- Julien BLACHE <jblache@debian.org>  Fri, 08 May 2009 21:03:56 +0200

sane-backends (1.0.20-2) unstable; urgency=low

  * Update previous changelog entry with regard to #519101 resolution.
  * debian/patches/04_udev_rules_fix.dpatch:
    + Added; fix udev rules, use ATTRS instead of ATTR. (Closes: #527196)
  * debian/patches/05_saned_avahi_fds_fix.dpatch:
    + Added; fix a possible net backend hang when saned is run in debug
      mode. Could also happen in standalone mode, but a lot less likely.

 -- Julien BLACHE <jblache@debian.org>  Wed, 06 May 2009 12:02:59 +0200

sane-backends (1.0.20-1) unstable; urgency=low

  * New upstream release.
    + Unsupported devices are no longer included in the udev rules.
      (Closes: #519101)
  * debian/control:
    + Bump Standards-Version to 3.8.1 (no changes).
    + Add build-dep on libv4l-dev.
    + Add dependency on libv4l-dev to libsane-dev.
    + Move libsane-dbg to debug section.
  * debian/rules:
    + Use DESTDIR at install time.
    + Remove rpath from sane-find-scanner.
  * debian/patches/01_missing_pthreads.dpatch:
    + Added; new build system breaks build when using pthreads.
  * debian/patches/02_frontends_libs.dpatch:
    + Added; only link the frontends with the libraries they need.
  * debian/patches/03_libsane_deps.dpatch:
    + Added; reduce libsane.so deps to the bare minimum.
  * debian/patches/11_minimum_linkage.dpatch:
    + Removed; build system was redone using automake and this isn't
      needed anymore.
  * debian/patches/12_new_configure.dpatch:
    + Removed; not needed anymore, due to #11 going away.
  * debian/patches/21_sane-config.in_no_rpath.dpatch:
    + Updated; updated for new build system.
  * debian/patches/23_unneeded_doc.dpatch:
    + Updated; updated for new build system.
  * debian/patches/22_dll_backend_conf.dpatch:
    + Updated; dll.d support has been merged upstream, update dll.conf header.
  * debian/patches/01_manpages_fixes.dpatch, 02_pixma_update.dpatch,
    03_snapscan_usb_ftok_fix.dpatch, 04_sane-desc_hal_new.dpatch,
    05_hp_timing_fix.dpatch, 06_sanei_scsi_attach_fix.dpatch,
    07_epson2_be_nice.dpatch, 08_epson2_be_nice_to_saned.dpatch,
    09_avision_fixes.dpatch, 10_sm3840_unbreak_sane_open.dpatch,
    30_new_saned.dpatch, 31_sanei_pthread_64bit_fix.dpatch,
    32_net_backend_standard_fix.dpatch, 33_scanimage_options_fix.dpatch,
    40_fujitsu_fixes.dpatch, 41_epjitsu_fixes.dpatch:
    - removed; fixes and enhancements taken from upstream or merged upstream
      in this release.

 -- Julien BLACHE <jblache@debian.org>  Mon, 04 May 2009 12:45:50 +0200

sane-backends (1.0.19-26) unstable; urgency=low

  * debian/rules:
    + Do not generate /etc/modprobe.d/libsane anymore.
  * debian/libsane.preinst:
    + Remove obsolete /etc/modprobe.d/libsane conffile.
  * debian/patches/30_new_saned.dpatch:
    + Updated; workaround for backends writing to stdin/stderr/stdout when
      run via inetd, which breaks the network dialog and causes the remote
      net backend to crash. (Closes: #516982)

 -- Julien BLACHE <jblache@debian.org>  Wed, 04 Mar 2009 10:49:42 +0100

sane-backends (1.0.19-25) unstable; urgency=low

  * debian/rules:
    + Remove comment bit, breaking configure invocation.
  * debian/control:
    + Add ${misc:Depends}.
  * debian/sane-utils.postrm:
    + Make the script set -e.
  * debian/patches/30_new_saned.dpatch:
    + Updated; (net backend) do not attempt to lock the Avahi polling
      thread before stopping it, it now produces a deadlock. Looks like
      a change/fix was made in Avahi. (Closes: #513122)

 -- Julien BLACHE <jblache@debian.org>  Wed, 18 Feb 2009 11:50:31 +0100

sane-backends (1.0.19-24) unstable; urgency=low

  * debian/rules:
    + Enable use of pthread instead of fork for reader processes.
  * debian/libsane.postinst:
    + Remove code dealing with devfs/hotplug/hotplug-ng.
  * debian/patches/11_minimum_linkage.dpatch:
    + Update; add $(LIBPTHREAD) to library dependencies where needed.

 -- Julien BLACHE <jblache@debian.org>  Sun, 15 Feb 2009 11:50:13 +0100

sane-backends (1.0.19-23) unstable; urgency=low

  * debian/patches/09_avision_fixes.dpatch:
    + Updated; fix reader task handling to not signal the whole process group
      erroneously.
  * debconf translations:
    + it.po: courtesy of Luca Monducci. (Closes: #507563)

 -- Julien BLACHE <jblache@debian.org>  Tue, 09 Dec 2008 16:14:06 +0100

sane-backends (1.0.19-22) unstable; urgency=low

  * debian/patches/41_epjitsu_fixes.dpatch:
    + Added; from CVS, fix double-free issues in epjitsu. (Closes: #506750)

 -- Julien BLACHE <jblache@debian.org>  Mon, 24 Nov 2008 15:02:04 +0100

sane-backends (1.0.19-21) unstable; urgency=low

  * debian/rules:
    + Use an error handler for saned's init.
  * debian/sane-utils.postinst:
    + Added error handler for saned init. (Closes: #493745)
  * debconf translations:
    + es.po: courtesy of Ignacio Mondino. (Closes: #499202)

 -- Julien BLACHE <jblache@debian.org>  Fri, 19 Sep 2008 10:50:04 +0200

sane-backends (1.0.19-20) unstable; urgency=low

  * debian/control:
    + Make sane-utils depend on update-inetd (>= 4.31) which won't break
      with debconf.
  * debian/sane-utils.postinst:
    + update-inetd needs debconf sometimes, so keep debconf enabled until
      after the update-inetd call.

 -- Julien BLACHE <jblache@debian.org>  Fri, 05 Sep 2008 11:04:59 +0200

sane-backends (1.0.19-19) unstable; urgency=low

  * debian/rules:
    + Install umax_pp into sane-utils. (Closes: #496833)
  * debian/patches/40_fujitsu_fixes.dpatch:
    + Added; upstream backport of fujitsu backend fixes, fixes a string
      initialization issue in config file parsing, adds color mode for the
      fi-6130, 6230, 6140, 6240 and fixes fi-6230 hangs at wakeup from
      powersave mode. (Closes: #494156) Thanks to M. Allan Noah for
      providing a backport.

 -- Julien BLACHE <jblache@debian.org>  Thu, 28 Aug 2008 10:31:35 +0200

sane-backends (1.0.19-18) unstable; urgency=low

  * debian/patches/10_sm3840_unbreak_sane_open.dpatch:
    + Added; from CVS, fix the way sane_open() checks for sanei_usb_open()
      errors. (Closes: #496249)
  * debconf translations:
    + ja.po: courtesy of Hideki Yamane. (Closes: #493568)

 -- Julien BLACHE <jblache@debian.org>  Wed, 27 Aug 2008 19:58:15 +0200

sane-backends (1.0.19-17) unstable; urgency=low

  * debian/patches/33_scanimage_options_fix.dpatch:
    + Added; get the option descriptor for option 0 before getting the value
      for option 0. This is a standard-compliance fix needed for proper
      operation with the net backend.
  * debian/patches/30_new_saned.dpatch:
    + Updated; fix initialization of runas_{g,u}id and ngroups, preventing
      failures later on in some cases (saned -a without username).

 -- Julien BLACHE <jblache@debian.org>  Tue, 05 Aug 2008 12:10:44 +0200

sane-backends (1.0.19-16) unstable; urgency=low

  * debian/patches/30_new_saned.dpatch:
    + Updated; Fix seteuid()/setegid() call order and set supplemental group
      list. (Closes: #493084)

 -- Julien BLACHE <jblache@debian.org>  Thu, 31 Jul 2008 11:46:53 +0200

sane-backends (1.0.19-15) unstable; urgency=low

  * debian/patches/09_avision_fixes.dpatch:
    + Enable this patch for real.
  * debian/patches/31_sanei_pthread_64bit_fix.dpatch:
    + Updated.

 -- Julien BLACHE <jblache@debian.org>  Tue, 22 Jul 2008 23:05:50 +0200

sane-backends (1.0.19-14) unstable; urgency=low

  * debian/patches/32_net_backend_standard_fix.dpatch:
    + Updated; fix sane_control_option() in the net backend so as to bring
      the net backend behaviour back in line with standard backends. This
      should fix some issues reported with the net backend lately.
  * debian/patches/01_manpages_fixes.dpatch:
    + Updated; fix some more hyphen vs. minus sign issues.
  * debian/rules:
    + Include debug symbols for sane-utils into libsane-dbg.
  * debian/copyright:
    + Update.

 -- Julien BLACHE <jblache@debian.org>  Sun, 20 Jul 2008 12:51:25 +0200

sane-backends (1.0.19-13) unstable; urgency=low

  * debian/libsane.README.Debian:
    + Fix udev rules filename. (Closes: #490656)
  * debian/patches/01_manpages_fixes.dpatch:
    + Updated; fix hyphen vs. minus sign issues reported by lintian.
  * debian/patches/30_new_saned.dpatch:
    + Updated; manpage fixes.

 -- Julien BLACHE <jblache@debian.org>  Mon, 14 Jul 2008 13:17:44 +0200

sane-backends (1.0.19-12) unstable; urgency=low

  * debian/control:
    + Bump Standards-Version to 3.8.0 (no changes).
  * debian/patches/30_new_saned.dpatch:
    + Updated; properly terminate child processes when exiting from the
      debug mode.
  * debian/patches/32_net_backend_standard_fix.dpatch:
    + Added; do not reload the option descriptors cache behind the frontend's
      back in sane_control_option(). Fetch options descriptors in sane_open()
      so GET_VALUE on option 0 can still work without explicitely getting
      option descriptor 0 first.
  * debconf translations:
    + sv.po: courtesy of Martin Bagge. (Closes: #487369)

 -- Julien BLACHE <jblache@debian.org>  Tue, 24 Jun 2008 22:10:35 +0200

sane-backends (1.0.19-11) unstable; urgency=low

  * debian/patches/30_new_saned.dpatch:
    + Updated; lock the Avahi thread before stopping it and tearing down the
      Avahi objects. (Closes: #484464)
  * debian/patches/09_avision_fixes.dpatch:
    + Added; from CVS, misc avision backend fixes. (Closes: #474706, #475198)
  * debconf translations:
    + ru.po: courtesy of Yuri Kozlov. (Closes: #481656)

 -- Julien BLACHE <jblache@debian.org>  Fri, 06 Jun 2008 17:37:28 +0200

sane-backends (1.0.19-10) unstable; urgency=low

  * debian/sane-utils.postinst:
    + Make proper use of debconf !@#%$. (Closes: #481442)
  * debconf translations:
    + fr.po: update by Christian Perrier. (Closes: #481439)

 -- Julien BLACHE <jblache@debian.org>  Fri, 16 May 2008 19:26:48 +0200

sane-backends (1.0.19-9) unstable; urgency=low

  * debian/sane-utils.postinst:
    + Do not attempt to remove saned from the scanner group if it isn't part
      of the group in the first place. (Closes: #481288)
  * debian/patches/31_sanei_pthread_64bit_fix.dpatch:
    + Added; from CVS, fix sanei_pthread on 64bit platforms.

 -- Julien BLACHE <jblache@debian.org>  Thu, 15 May 2008 18:54:37 +0200

sane-backends (1.0.19-8) unstable; urgency=low

  * Reupload 1.0.19-7 to unstable.

  * debconf translations:
    + pt.po: courtesy of Américo Monteiro. (Closes: #480219)
    + cs.po: courtesy of Miroslav Kure. (Closes: #480313)
    + de.po: courtesy of Helge Kreutzmann. (Closes: #480366)
    + vi.po: courtesy of Clytie Siddall. (Closes: #480483)
    + fi.po: courtesy of Esko Arajärvi. (Closes: #480550)
    + fr.po: update by Christian Perrier.

 -- Julien BLACHE <jblache@debian.org>  Wed, 14 May 2008 19:13:29 +0200

sane-backends (1.0.19-7) experimental; urgency=low

  * Introducing new saned & net backend features.
    + saned can now run as a standalone daemon and offers mDNS/DNS-SD.
      The net backend can discover saned servers on the (local) network.
  * debian/patches/01_manpages_fixes.dpatch:
    + Fix man warnings in sane-config.1 and sane-mustek_pp.5.
  * debian/patches/30_new_saned.dpatch:
    + Added; from CVS HEAD, backport new saned and net backend.
  * debian/sane-utils.README.Debian:
    + Enhancements, typo fixes.
  * debian/sane-utils.templates, debian/sane-utils.config,
    debian/sane-utils.postinst:
    + Add a debconf question to automatically add the saned user to the
      scanner group.
    + Add a debconf question to enable saned as a standalone daemon.
  * debian/rules:
    + Enable Avahi support at configure time.
    + Call dh_installdebconf.
    + Call dh_installinit.
  * debian/control:
    + Build-Depend on po-debconf, libavahi-client-dev (>= 0.6.4).
    + sane-utils: add ${misc:Depends} to get the appropriate debconf
      dependencies.
    + sane-utils: recommend avahi-daemon.
    + libsane: recommend avahi-daemon.
    + libsane-dev: depend on libavahi-client-dev.
  * debian/sane-utils.saned.init, debian/sane-utils.saned.default:
    + Add an initscript & default file for saned.

  * debconf translations:
    + eu.po: courtesy of Piarres Beobide. (Closes: #479380, #479808)
    + fr.po: courtesy of Christian Perrier.
    + pt_BR.po: courtesy of Eder L. Marques. (Closes: #479785)
    + gl.po: courtesy of Jacobo Tarrio. (Closes: #479838)

 -- Julien BLACHE <jblache@debian.org>  Wed, 07 May 2008 18:37:07 +0200

sane-backends (1.0.19-6) unstable; urgency=low

  * debian/patches/08_epson2_be_nice_to_saned.dpatch:
    + Added; from CVS, be nice to saned and do not pollute fd 0.
      (Closes: #479052)

 -- Julien BLACHE <jblache@debian.org>  Sat, 03 May 2008 16:46:12 +0200

sane-backends (1.0.19-5) unstable; urgency=low

  * debian/patches/07_epson2_be_nice.dpatch:
    + Added; from CVS, be nice to other backends and close the scanner device
      when the device is not recognized (or another error happens).
      (Closes: #476468)

 -- Julien BLACHE <jblache@debian.org>  Sat, 19 Apr 2008 17:16:13 +0200

sane-backends (1.0.19-4) unstable; urgency=low

  * debian/patches/03_snapscan_usb_ftok_fix.dpatch:
    + Updated; improve the patch by falling back to ftok() for non-libusb
      devices.
  * debian/patches/04_sane-desc_hal_new.dpatch:
    + Added; add support for newer HAL versions.
  * debian/patches/05_hp_timing_fix.dpatch:
    + Added; fix timing issue with HP scanners. (Closes: #472819)
  * debian/patches/06_sanei_scsi_attach_fix.dpatch:
    + Added; from CVS, continue to iterate over the list of devices even
      if an attempt to attach one of the devices fails.
  * debian/rules:
    + Generate HAL FDI file for newer HAL versions. (Closes: #472664)
  * debian/libsane-dev.doc-base:
    + Fix doc-base section.

 -- Julien BLACHE <jblache@debian.org>  Fri, 28 Mar 2008 22:39:17 +0100

sane-backends (1.0.19-3) unstable; urgency=low

  * debian/patches/01_disable_epson2.dpatch:
    + Removed; reenable the epson2 backend.
  * debian/patches/03_snapscan_usb_ftok_fix.dpatch:
    + Added; work around the usage of ftok() in the snapscan backend. See
      the patch description for details. (Closes: #466855)

 -- Julien BLACHE <jblache@debian.org>  Sat, 15 Mar 2008 16:16:38 +0100

sane-backends (1.0.19-2) unstable; urgency=low

  * debian/patches/02_pixma_update.dpatch:
    + Added; update pixma backend from CVS, adding support for
      - Pixma MP210, MP470, MP520, MP610, MultiPASS MP710
      - MP140, MP220, MultiPASS MP740 (untested)
      - MP970 (experimental, untested)
      (Closes: #468270)
  * debian/rules:
    + Generate and install HAL fdi file. (Closes: #466540)
  * debian/control:
    + Add update-inetd dependency for sane-utils.
  * debian/sane-utils.postinst, debian/sane-utils.postrm:
    + Add support for update-inetd. (Closes: #426514)
  * debian/sane-utils.README.Debian:
    + Document update-inetd usage.

 -- Julien BLACHE <jblache@debian.org>  Sat, 01 Mar 2008 14:11:29 +0100

sane-backends (1.0.19-1) unstable; urgency=low

  * New upstream release.
    + New backends: cardscan (Corex Cardscan 800c), epjitsu (Epson-based
      Fujitsu), epson2 (various Epson scanners), hp3900 (HP ScanJet 3970 and
      more), hp5590 (HP ScanJet 5590 and more), hpljm1005 (HP LaserJet M1005
      and more), hs2p (Ricoh IS400 series)
    + Fix for the pixma backend. (Closes: #459663)
    + Regression fix for the avision backend. (Closes: #458478, #458932)
  * debian/patches/02_hurd_no_plustek_pp.dpatch:
    + Removed; merged upstream.
  * debian/patches/11_minimum_linkage.dpatch:
    + Updated.
  * debian/patches/12_new_configure.dpatch:
    + Updated.
  * debian/control:
    + Adjust libsane-extras dependencies for 1.0.19.

 -- Julien BLACHE <jblache@debian.org>  Tue, 12 Feb 2008 21:44:19 +0100

sane-backends (1.0.19~cvs20071213-5) unstable; urgency=low

  * debian/control:
    + Build-Depends: xutils-dev instead of xutils.
    + Depend on libsane-extras{,-dev,-dbg} to help fix up the
      buggy udev rules in libsane-extras.
    + Promote libgphoto2-2-dev to Depends: for libsane-dev.
  * debian/patches/02_hurd_no_plustek_pp.dpatch:
    + Added; do not build plustek_pp on Hurd. (Closes: #457378)
  * debian/patches/12_new_configure.dpatch:
    + Updated.

 -- Julien BLACHE <jblache@debian.org>  Mon, 07 Jan 2008 12:07:27 +0100

sane-backends (1.0.19~cvs20071213-4) unstable; urgency=low

  * debian/patches/11_minimum_linkage.dpatch:
    + Updated; add libcam for coolscan & umax, remove it for cardscan.

 -- Julien BLACHE <jblache@debian.org>  Mon, 31 Dec 2007 14:11:34 +0100

sane-backends (1.0.19~cvs20071213-3) unstable; urgency=low

  * debian/control:
    + Tighten relationship with libsane-extras due to the udev rules renaming.

 -- Julien BLACHE <jblache@debian.org>  Fri, 28 Dec 2007 11:45:30 +0100

sane-backends (1.0.19~cvs20071213-2) unstable; urgency=low

  * debian/rules:
    + Generate udev rules as debian/libsane.udev, clean as needed.
    + Use dh_installudev.
    + Remove libsane-dll.* from /usr/lib/sane; libsane.so and libsane-dll.so
      are the same backend.
  * debian/libsane.postinst:
    + Remove udev installation code.
  * debian/libsane.preinst:
    + Added; handle upgrade from previous udev code to dh_installudev.
  * debian/patches/11_minimum_linkage.dpatch:
    + Added; only link backends to the libraries they need.
  * debian/patches/12_new_configure.dpatch:
    + Added; new configure script.
  * debian/patches/12_gphoto2_link_backend_only.dpatch:
    + Removed; obsoleted by 11_minimum_linkage.dpatch.
  * debian/patches/13_new_configure.dpatch:
    + Removed; now 12_new_configure.dpatch.

 -- Julien BLACHE <jblache@debian.org>  Tue, 25 Dec 2007 22:58:26 +0100

sane-backends (1.0.19~cvs20071213-1) unstable; urgency=low

  * New CVS snapshot.
    + New backend: hp3900.
  * debian/control:
    + Bump Standards-Version to 3.7.3 (no changes).
    + Bump libsane-extras{,-dev} dependencies/conflicts/replaces to 1.0.18.13.
    + Remove module-init-tools recommendation, enforced by udev which is a
      dependency.
  * debian/rules:
    + Remove ${module-init-tools} substvar.

 -- Julien BLACHE <jblache@debian.org>  Thu, 13 Dec 2007 21:59:02 +0100

sane-backends (1.0.19~cvs20071028-1) unstable; urgency=low

  * New CVS snapshot.
    + All backends now declare OPT_NUM_OPTS of type SANE_TYPE_INT.
      (Closes: #448162)
    + Fixed USB IDs for the Epson CX-6600. (Closes: #419349)
    + Added USB IDs for the Epson DX-6000. (Closes: #442051)
  * debian/control:
    + libsane-dev Recommends: libgphoto2-2-dev.

 -- Julien BLACHE <jblache@debian.org>  Sun, 28 Oct 2007 11:17:36 +0100

sane-backends (1.0.19~cvs20070730-1) unstable; urgency=low

  * New CVS snapshot.
    + Workaround for CONFIG_USB_SUSPEND. (Closes: #434276)
  * debian/control, debian/rules:
    + Make libsane depend on makedev | udev on Linux. (Closes: #428220)
  * debian/libsane.postinst:
    + Change MAKEDEV invocation to invoke /dev/MAKEDEV instead of /sbin/MAKEDEV.
  * debian/control:
    + Do not {build-,}depend on libusb-dev nor libieee1284-dev on hurd-i386.
      (Closes: #434575)
    + Use ${binary:Version} instead of ${Source-Version}.
  * debian/rules:
    + Do not ignore make distclean errors.
  * debian/patches/30_sanei_scsi_sg_ioctl.dpatch:
    + Removed; merged upstream.

 -- Julien BLACHE <jblache@debian.org>  Mon, 30 Jul 2007 14:03:13 +0200

sane-backends (1.0.19~cvs20070505-3) unstable; urgency=low

  * debian/patches/30_sanei_scsi_sg_ioctl.dpatch:
    + Added; use the SG_IO ioctl interface instead of the asynchronous
      read/write SG3 interface. This allows the use of SCSI scanners in
      mixed 32/64bit environments, thanks to the ioctl 32bit compatibility
      layer taking care of the 32/64bit sg_hdr conversion. (Closes: #420193)

    If you own a SCSI scanner, please report back on this change; especially
    if, compared to the previous version (1.0.19~cvs20070505-2):
     - the scanner backtracks more than it used to with the previous version
     - you see weird errors OR you see no error and you should be seeing some
     - performance sucks
     - resulting image is broken in one way or another
     - ...

 -- Julien BLACHE <jblache@debian.org>  Sun, 20 May 2007 10:46:00 +0200

sane-backends (1.0.19~cvs20070505-2) unstable; urgency=low

  * debian/patches/01_disable_epson2.dpatch:
    + Added; disable epson2 backend by default. (Closes: #422697)

 -- Julien BLACHE <jblache@debian.org>  Sat, 12 May 2007 10:37:11 +0200

sane-backends (1.0.19~cvs20070505-1) unstable; urgency=low

  * New CVS snapshot.
    + New backend: hp5590.
  * debian/patches/31_epson_remove_check.dpatch:
    + Removed; merged upstream.

 -- Julien BLACHE <jblache@debian.org>  Sat, 05 May 2007 20:37:07 +0200

sane-backends (1.0.19~cvs20070421-1) unstable; urgency=low

  * debian/control:
    + Update Build-Depends for the TeXLive migration.
    + Removed old Conflicts.
    + Upgrade libsane-extras minimum version to 1.0.18.6.
  * debian/rules:
    + Drop hotplug support.
    + Drop code for Sarge backports.
  * debian/libsane.postinst:
    + Remove old hotplug-ng files, code taken from Ubuntu.
  * debian/libsane.README.Debian, debian/sane-utils.README.Debian:
    + Removed hotplug notes.
  * debian/patches/03_usb_perms_664.dpatch:
    + Removed; merged upstream.
  * debian/patches/11_hotplug_wait_for_device.dpatch:
    + Removed; not needed anymore.
  * debian/patches/30_udev_long_comment_lines.dpatch:
    + Removed; merged upstream.
  * debian/patches/32_microtek2_add_check.dpatch:
    + Removed; merged upstream.
  * debian/patches/33_manpages_fixes.dpatch:
    + Removed; merged upstream.

 -- Julien BLACHE <jblache@debian.org>  Sat, 21 Apr 2007 13:33:26 +0200

sane-backends (1.0.18-6) unstable; urgency=low

  * Enable libieee1284 support on kFreeBSD-amd64. (Closes: #413178)
  * debian/control:
    + Build-depend on libieee1284-3-dev (>= 0.2.10-5) for all architectures.
    + libsane-dev depends on libieee1284-3-dev (>= 0.2.10-5) for all architectures.
  * debian/rules:
    + Remove the libieee1284-3-dev substitution variable.

 -- Julien BLACHE <jblache@debian.org>  Sat,  3 Mar 2007 11:39:33 +0100

sane-backends (1.0.18-5) unstable; urgency=medium

  * debian/patches/32_microtek2_add_check.dpatch:
    + Added; Add missing return status check, preventing a segfault later
      on. (Closes: #398153)
  * debian/patches/33_manpages_fixes.dpatch:
    + Added; fix man warnings in some manpages.

 -- Julien BLACHE <jblache@debian.org>  Mon,  8 Jan 2007 19:52:22 +0100

sane-backends (1.0.18-4) unstable; urgency=medium

  * debian/patches/31_epson_remove_check.dpatch:
    + Added; Remove bogus check in epson backend get_identity2_information()
      affecting Stylus CX5xxx models. (Closes: #399119, #402444)
  * debian/sane-utils.README.Debian:
    + Fix typo, the manpage for saned is in section 8 not 1.
  * debian/control:
    + libsane-dbg is Priority: extra.
    + Remove Uploaders.

      Thank you Aurélien JARNO for your help during these years.

 -- Julien BLACHE <jblache@debian.org>  Sat,  6 Jan 2007 18:46:43 +0100

sane-backends (1.0.18-3) unstable; urgency=low

  * debian/patches/30_udev_long_comment_lines.dpatch:
    + Added; split very long comment lines in the udev rules file.
      (Closes: #376859)
  * debian/libsane.README.Debian:
    + Updated; udev no longer sets permissions on /proc/bus/usb/xxx/yyy,
      /dev/bus/usb/xxx/yyy is used instead now.

 -- Julien BLACHE <jblache@debian.org>  Sun, 30 Jul 2006 20:40:09 +0200

sane-backends (1.0.18-2) unstable; urgency=low

  * debian/control:
    + Build-Depends: libltdl3-dev, needed to link with libgphoto2-2.
    + sane-utils Suggests: unpaper.

 -- Julien BLACHE <jblache@debian.org>  Tue,  4 Jul 2006 09:09:04 +0200

sane-backends (1.0.18-1) unstable; urgency=low

  * New upstream release.
    + New backends: dell1600n_net, hp3500, pixma, stv680. (Closes: #360303)
    + Canon LiDE 60 USBids added to the genesys description file. (Closes: #366871)
  * debian/patches/01_usbids.dpatch:
    + Removed; merged upstream.
  * debian/patches/26_manpages_spelling_fixes.dpatch:
    + Removed; merged upstream.
  * debian/patches/25_glibc_sys_io_h.dpatch:
    + Removed; merged upstream.
  * debian/patches/03_usb_perms_664.dpatch:
    + Updated; the convert-usermap.sh scripts are gone.
  * debian/patches/04_udev_rules_fix.dpatch:
    + Removed; merged upstream.
  * debian/rules:
    + Use sane-desc to generate the udev rules file and the hotplug data file.
    + Improve manpage list generation for the libsane package.
  * debian/control:
    + Build-Depends: libtiff4-dev, for the dell1600n_net backend.

 -- Julien BLACHE <jblache@debian.org>  Mon,  3 Jul 2006 20:30:17 +0200

sane-backends (1.0.17-4) unstable; urgency=low

  * debian/compat:
    + Bumped DH_COMPAT to 5.
  * debian/control:
    + Bumped Standards-Version to 3.7.2 (no changes).
    + Build-Depend on debhelper (>= 5.0.0) for DH_COMPAT=5.
    + New libsane-dbg binary for debugging symbols. (Closes: #366767)
  * debian/rules:
    + Tell dh_strip to put debugging symbols into libsane-dbg.

 -- Julien BLACHE <jblache@debian.org>  Fri, 26 May 2006 13:40:01 +0200

sane-backends (1.0.17-3) unstable; urgency=low

  * debian/control:
    + Add ${libieee1284-3-dev} to libsane-dev Depends. (Closes: #364294)

 -- Julien BLACHE <jblache@debian.org>  Sat, 22 Apr 2006 19:58:12 +0200

sane-backends (1.0.17-2) unstable; urgency=low

  [ Aurélien JARNO ]
  * debian/control:
    + Build-depends: libcam-dev on kfreebsd-i386 and kfreebsd-amd64.
    + Build-depends: !libieee1284-dev on kfreebsd-amd64.
    + libsane-dev depends: libcam-dev on GNU/kFreeBSD.
  * debian/patches/25_glibc_sys_io_h.dpatch:
    + New; check for GNU libc instead of Linux kernel.

  [ Julien BLACHE ]
  * debian/patches/02_udev_rules.dpatch:
    + Removed; coldplugging now works OK, the hotplug script aren't needed
      anymore. (Closes: #359800)
  * debian/patches/03_usb_perms_664.dpatch:
    + Updated.
  * debian/patches/04_udev_rules_fix.dpatch:
    + Added; fix udev rules file so that the rules only run for ACTION=add
      on the usb subsystem. (Closes: #359797)
  * debian/patches/01_usbids.dpatch:
    + Added; add Epson Stylus CX7800 USB IDs. (Closes: #350436)
  * debian/patches/26_manpages_spelling_fixes.dpatch:
    + Added; various spelling fixes to the manpages. (Closes: #357568)
  * debian/control:
    + Removed Conflicts: on very old SANE versions.
    + Recommends: module-init-tools (>= 3.2.2-1). (Closes: #344541)
    + Recommends: udev (>= 0.88-1) for a version of udev with working
      coldplugging support. Let me know if the version can be lowered,
      thanks.
  * debian/rules:
    + Add variable substitution for module-init-tools on Linux.
    + Add version to the udev variable substitution.

 -- Julien BLACHE <jblache@debian.org>  Thu, 13 Apr 2006 21:40:58 +0200

sane-backends (1.0.17-1) unstable; urgency=low

  [ Julien BLACHE ]
  * New upstream release.
    + New backends: hp4200, lexmark, mustek_usb2.
    + Now ignores EBUSY on set_configuration for real. (Closes: #332281)
    + Fixed USB IDs for BearPaw 2448 TA Plus to use only lowercase letters. (Closes: #341046)
  * debian/patches/01_hotplug_usbids.dpatch:
    + Removed; merged upstream.
  * debian/patches/02_tools_udev.dpatch:
    + Removed; merged upstream.
  * debian/patches/02_udev_rules.dpatch:
    + Added; add a RUN rule to run the hotplug.d script (for coldplugging).
  * debian/control:
    + Build-Depends: xutils as makedepend is now used by the build system.
    + Adjust conflicts/suggests for libsane-extras.

  [ Aurélien JARNO ]
  * debian/patches/03_usb_perms_664.dpatch:
    + Added; lsusb needs read access to USB devices to work properly.

 -- Julien BLACHE <jblache@debian.org>  Sun, 18 Dec 2005 17:09:47 +0100

sane-backends (1.0.16-5) unstable; urgency=low

  * debian/patches/02_tools_udev.dpatch:
    + Run the hotplug.d script to ensure a working coldplug. (Closes: #334068)
  * debian/patches/30_misc_fixes.dpatch:
    + Fix a typo in sane-find-scanner(1). (Closes: #310333)
  * debian/patches/34_sanei_usb_ignore_set_config_ebusy.dpatch:
    + Ignore EBUSY on set_configuration to better accomodate MFC devices. (Closes: #332281)
  * debian/libsane.postrm:
    + Remove /etc/udev/rules.d/025_libsane.rules on purge. (Closes: #333569)

 -- Julien BLACHE <jblache@debian.org>  Thu, 27 Oct 2005 20:25:16 +0200

sane-backends (1.0.16-4) unstable; urgency=low

  * debian/patches/02_tools_udev.dpatch:
    + Fix broken tools/udev/convert-usermap.sh script.

 -- Julien BLACHE <jblache@debian.org>  Wed, 28 Sep 2005 22:59:41 +0200

sane-backends (1.0.16-3) unstable; urgency=low

  * The udev release. Thanks to Marco d'Itri for his help.
  * debian/patches/02_tools_udev.dpatch:
    + Added; adds tools/udev from CVS.
  * debian/rules:
    + Generate the udev rules file for libsane and install it.
    + Generate a modprobe blacklist (same as the hotplug blacklist).
  * debian/libsane.postinst:
    + Symlink the udev rules file under /etc/udev/rules.d; do that only once.
  * debian/control:
    + Recommends: hotplug | udev

 -- Julien BLACHE <jblache@debian.org>  Wed, 28 Sep 2005 22:42:38 +0200

sane-backends (1.0.16-2) unstable; urgency=low

  * debian/patches/11_hotplug_wait_for_device.dpatch:
    + Bump timeout to 25 seconds.
  * debian/patches/01_hotplug_usbids.dpatch:
    + Added; pulled from CVS. (Closes: #323607)
  * debian/patches/32_plustek_update.dpatch:
    + Supersedes 32_add_lide25.dpatch; plustek backend update, adds LiDE 25
      support and fixes LiDE 20 support.
  * debian/patches/33_sm3600_update.dpatch:
    + Added; pulled from CVS, sm3600 adapted to sanei_usb.

 -- Julien BLACHE <jblache@debian.org>  Sun, 28 Aug 2005 18:33:18 +0200

sane-backends (1.0.16-1) unstable; urgency=low

  [ Julien BLACHE ]
  * New upstream release.
    + New backends: sm3840, genesys.
    + Fixed typos in manpages. (Closes: #310332, #310333)
  * Patches removed (integrated upstream):
    + 01_hotplug_usbids.dpatch
    + 02_tools_hotplug-ng.dpatch
    + 03_manpages_fixes.dpatch
    + Most of 30_misc_fixes.dpatch
    + 31_gt68xx_fixes.dpatch
    + 32_snapscan_update.dpatch
    + 33_avision_update.dpatch
    + 34_plustek_update.dpatch
    + 35_libusbscanner_2.6_fixes.dpatch
    + 36_sane-find-scanner_message.dpatch
    + 37_epson_usbids.dpatch
  * debian/libsane.postinst:
    + Removed the udev check, it's broken and MAKEDEV now does the Right
      Thing (tm) on its own. (Closes: #310216)
    + Remove anything debconf-related.
  * debian/control:
    + Bumped Standards-Version to 3.6.2 (no changes).
    + Update the conflict on libsane-extras.
    + Downgrade Depends: sane-utils to Recommends: sane-utils now that Sarge
      has been released.
    + Drop dependency on debconf.
  * debian/rules:
    + Generate sane-backends.pot, patch from Martin Pitt. (Closes: #313527)
    + Comment call to dh_installdebconf, we don't use debconf anymore.

  [ Aurélien JARNO ]
  * DEB_HOST_GNU_SYSTEM replaced by DEB_HOST_ARCH_OS.
  * Get rid of debian/control.in by using the -V option of dpkg-gencontrol.

 -- Julien BLACHE <jblache@debian.org>  Sun,  7 Aug 2005 15:00:05 +0200

sane-backends (1.0.15-10) unstable; urgency=low

  * debian/patches/01_hotplug_usbids.dpatch:
    + Updated; added Genius ColorPage Vivid3XE. (Closes: #305993)
    + Added Microtek ScanMaker 3700. (Closes: #307952)
    + Added Epson Stylus RX620. (Closes: #308867)
  * debian/patches/11_hotplug_wait_for_device.dpatch:
    + Added; try to wait for the device to appear in the FS. (Closes: #302891)
  * debian/patches/30_misc_fixes.dpatch:
    + Updated; fixed "device model referenced not duplicated" in the v4l
      backend. (Closes: #306458)
  * debian/control.in:
    + Build-Depend on a fixed libusb.

 -- Julien BLACHE <jblache@debian.org>  Sun, 22 May 2005 11:09:19 +0200

sane-backends (1.0.15-9) unstable; urgency=low

  * debian/patches/22_dll_backend_conf.dpatch:
    + Process /etc/sane.d/dll.d first, so that those backends will be loaded
      last. This will prevent buggy extras backends to perturb other backends.
  * debian/patches/03_manpages_fixes.dpatch:
    + Fix a typo in sane(7), reported by A Costa. (Closes: #302675)
    + Fix 3 typos in scanimage(1), also reported by A Costa. (Closes: #302334)

 -- Julien BLACHE <jblache@debian.org>  Wed, 20 Apr 2005 16:17:20 +0200

sane-backends (1.0.15-8) unstable; urgency=low

  [ Aurélien Jarno ]
  * Drop support for the scanner kernel module. Switch to libusb NOW.
    + Drop the devfs config file, remove /etc/devfs/conf.d/devfs
      in libsane.postinst.
  * Transition to the new hotplug hook scheme (pulled from CVS), which is
    compatible with both hotplug and hotplug-ng.
    + Remove /etc/hotplug/usb/libsane.usermap and /etc/hotplug/usb/libusbscanner
      in libsane.postinst.
    + Conflicts with libsane-extras (<< 1.0.15.7) to avoid partial upgrades, as
      1.0.15.7 is the version compatible with the new hotplug script.

  [ Julien Blache ]
  * Added support for GNU/kFreeBSD. (Closes: #297979)
    + debian/rules: generate control at clean time.
    + debian/rules: install README.{linux,freebsd} depending on the system.
    + debian/patches/23_unneeded_doc.dpatch: do not install OS-specific READMEs.
    + debian/control.in: do not depend on makedev on !linux (via debian/rules).
    + debian/libsane.postinst: do not create device nodes on !linux.
  * debian/rules:
    + Install only the manpages for the backends which have been built.
    + Cut the head of libsane.usermap to remove the comments pertaining to the
      old usermap format.
  * debian/libsane.README.Debian:
    + Updated to relfect the hotplug changes.
  * debian/libsane.postinst:
    + Do not create device nodes when udev is in use.

 -- Julien BLACHE <jblache@debian.org>  Sun,  6 Mar 2005 00:36:43 +0100

sane-backends (1.0.15-7) unstable; urgency=low

  [ Julien BLACHE ]
  * debian/patches/22_dll.conf_debian.dpatch
    + Removed; renamed to 22_dll_backend_conf.dpatch.
  * debian/patches/22_dll_backend_conf.dpatch
    + Added; adds a Debian-specific comment to the dll.conf file, and patches
      the dll backend to look for pieces of dll.conf in the /etc/sane.d/dll.d
      directory; this is a facility for packages providing external backends,
      like libsane-extras, hpoj and hplip.

  [ Aurélien Jarno ]
  * debian/patches/01_hotplug_usbids.dpatch
    + Added Epson Corp. Stylus CX6600 to libsane.usermap. (Closes: #293082)

 -- Julien BLACHE <jblache@debian.org>  Mon, 21 Feb 2005 16:43:41 +0100

sane-backends (1.0.15-6) unstable; urgency=low

  * debian/control
    + Recommends: hotplug (was Suggests: hotplug).
    + Suggests: hpoj, hplip.
  * debian/rules
    + Blacklist the scanner module wrt hotplug.
  * debian/libsane.README.Debian
    + Explain that the scanner module is going away, and that we're now
      blacklisting it wrt hotplug upon installation of the package.
  * debian/patches/01_hotplug_usbids.dpatch
    + Updated; added Epson Stylus RX-425.
  * debian/patches/37_epson_usbids.dpatch
    + Added; adds Epson Stylus RX-425.
  * debian/patches/30_misc_fixes.dpatch
    + Updated; added initialization of dev->scanning in coolscan.c.
  * debian/patches/02_manpages_fixes.dpatch
    + Added; manpages fixes from esr.
  * debian/patches/32_snapscan_deinterlacer.dpatch
    + Removed; renamed to 32_snapscan_update.dpatch.
  * debian/patches/32_snapscan_update.dpatch
    + Added; contains all of the previous 32_snapscan_deinterlacer.dpatch,
      plus it adds support for the Epson Perfection 1270, BenQ 5250C and
      quality calibration for the Epson Perfection 2480.
  * debian/patches/22_dll.conf_debian.dpatch
    + Updated; added the sm3840 backend provided by libsane-extras and the
      hpaio backend provided by hplip. (Closes: #291435)
  * debian/patches/38_artec_e+48_conf.dpatch
    + Added; adds proper configuration for the Umax AstraSlim SE.

 -- Julien BLACHE <jblache@debian.org>  Sat, 22 Jan 2005 13:54:58 +0100

sane-backends (1.0.15-5) unstable; urgency=medium

  * debian/patches/34_plustek_update.dpatch:
    + Added; pulled from CVS, contains fixes for Epson Perfection 1260
      scanners. (Closes: #290029)
  * debian/patches/35_libusbscanner_2.6_fixes.dpatch:
    + Added; applied patch from Martin Pitt to use sysfs to determine the
      device number, instead of guessing it in a semi-broken way.
      (Closes: #289666)
  * debian/patches/36_sane-find-scanner_message.dpatch
    + Added; adds a "make sure your scanner is powered up and plugged in"
      message to sane-find-scanner. (Closes: #287592)

 -- Julien BLACHE <jblache@debian.org>  Wed, 12 Jan 2005 17:48:30 +0100

sane-backends (1.0.15-4) unstable; urgency=medium

  * debian/control:
    + Added build-dependency on pkg-config. (Closes: #286140)
  * debian/patches/13_new_configure.dpatch:
    + Fixed; remove unwanted autom4te.cache directory from the patch.
      (Closes: #286143)

 -- Julien BLACHE <jblache@debian.org>  Sun, 19 Dec 2004 18:08:23 +0100

sane-backends (1.0.15-3) unstable; urgency=low

  * debian/patches/31_gt68xx_fixes.dpatch:
    + Updated; added a fix for Mustek BearPaw 2448 TA/CS Plus scanners.
      (Closes: #284674)
  * debian/patches/33_avision_update.dpatch:
    + Added; improved avision backend from CVS.

 -- Julien BLACHE <jblache@debian.org>  Thu,  9 Dec 2004 16:01:50 +0100

sane-backends (1.0.15-2) unstable; urgency=low

  * debian/patches/01_hotplug_usbids.dpatch:
    + Added; taken from CVS, adds missing USB IDs to the hotplug scripts.
      (Closes: #280821, #281003)
  * debian/patches/31_gt68xx_fixes.dpatch:
    + Added; taken from CVS, fixes incorrect mode check for some scanners.
      (Closes: #281061)
  * debian/patches/30_misc_fixes.dpatch:
    + Added; miscellaneous fixes from CVS/sane-devel.
  * debian/patches/32_snapscan_deinterlacer.dpatch:
    + Added; taken from CVS, adds a deinterlacer filter to the snapscan
      backend, which is needed to scan at 2400 DPI with some scanners.

 -- Julien BLACHE <jblache@debian.org>  Sun, 14 Nov 2004 15:39:36 +0100

sane-backends (1.0.15-1) unstable; urgency=low

  * New upstream release.
    + Patch for Microtek Phantom C6 on PowerPC merged upstream.
      (Closes: #274523)
    + New backend: niash.
  * debian/control:
    + Update conflicts/replaces on libsane-extras 1.0.15.1.
  * debian/patches/01_libusbscanner.dpatch:
    + Removed; taken from CVS, included in this version.
  * debian/patches/02_epson_usbids.dpatch:
    + Removed; taken from CVS, included in this version.
  * debian/patches/03_hotplug_usbids.dpatch:
    + Removed; merged upstream.
  * debian/patches/11_libtool_unneeded_checks.dpatch:
    + Removed.
  * debian/patches/12_gphoto2_link_backend_only.dpatch:
    + Updated; revert unwanted backend/Makefile.in patch causing an incorrect
      rpath in /usr/lib/libsane.la. (Closes: #279082)
  * debian/patches/13_new_configure.dpatch:
    + Updated.
  * debian/patches/22_dll.conf_debian.dpatch:
    + Updated; the niash backend is now part of SANE.
  * debian/patches/25_saned_man_section.dpatch:
    + Removed; merged upstream.
  * debian/patches/26_scanimage_batch.dpatch:
    + Removed; merged upstream.
  * debian/patches/27_snapscan-usb_count_urb.dpatch:
    + Removed; taken from CVS, included in this version.
  * debian/sane-utils.README.Debian:
    + Fix reference to /usr/share/doc/libsane/README.Debian.gz
      (Closes: #278670)

 -- Julien BLACHE <jblache@debian.org>  Tue,  9 Nov 2004 23:28:23 +0100

sane-backends (1.0.14-7) unstable; urgency=medium

  * Co-maintainer upload.
  * debian/patches/27_snapscan-usb_count_urb.dpatch:
    + Added, backported from CVS: Don't enforce even number of URB packages
       on snapscan 1212u_2. (Closes: #250885)
  * debian/patches/03_hotplug_usbids.dpatch:
    + Added Epson Corp. Stylus CX6400 to libsane.usermap. (Closes: #293946)

 -- Aurelien Jarno <aurel32@debian.org>  Mon,  9 Aug 2004 11:17:13 +0200

sane-backends (1.0.14-6) unstable; urgency=medium

  * Urgency=medium as this revision will fix the upgrade path from Woody.
  * debian/control:
    + Removed obsolete gcc-3.3 build-depends. (Closes: #262245)
    + Upgraded the sane-utils recommendation to a dependency as an upgrade
      path from Woody. (Closes: #263408)
  * debian/rules:
    + Create /etc/hotplug/blacklist.d/libsane to prevent hotplug
      from loading the no-longer-needed hpusbscsi module. (Closes: #260734)
  * debian/patches/03_hotplug_usbids.dpatch:
    + Added; adds HP ScanJet 5300C to libsane.usermap. (Closes: #260736)
  * debian/patches/26_scanimage_batch.dpatch:
    + Added; adds possibility to interrupt a batch scan in scanimage by
      pressing ^D. (Closes: #260230)

 -- Julien BLACHE <jblache@debian.org>  Wed,  4 Aug 2004 22:12:40 +0200

sane-backends (1.0.14-5) unstable; urgency=low

  * debian/patches/02_epson_usbids.dpatch
    + Put back the USB IDs for the Perfection 1650, remove the USB IDs for the
    Perfection 1250, which now really fixes the bug.

 -- Julien BLACHE <jblache@debian.org>  Sun, 13 Jun 2004 13:48:27 +0200

sane-backends (1.0.14-4) unstable; urgency=low

  * debian/libsane.postinst
    + modutils is Required, not Essential; replace kernelversion (provided by
      modutils) by uname -r | cut. (Closes: #254140)

 -- Julien BLACHE <jblache@debian.org>  Sun, 13 Jun 2004 12:12:02 +0200

sane-backends (1.0.14-3) unstable; urgency=low

  * debian/libsane.postinst
    + Do not create /dev/usb/scanner* if running a 2.6 kernel.
  * debian/patches/02_espon_usbids.dpatch
    + Remove USB IDs for Perfection 1250 and 1260; these scanners are handled
      by the plustek backend (pulled from CVS). (Closes: #248859)
  * debian/patches/25_saned_man_section.dpatch
    + Added; saned goes to /usr/sbin, its manpage should go to section 8.

 -- Julien BLACHE <jblache@debian.org>  Fri, 11 Jun 2004 21:37:18 +0200

sane-backends (1.0.14-2) unstable; urgency=low

  * debian/patches/22_dll.conf_debian.dpatch
    + Enable the hpoj backend by default. (Closes: #246985, #248379)
  * debian/patches/01_libusbscanner.dpatch
    + Pulled from CVS, fixes hotplug's lack of backward compatibility
      (Closes: #248770)

 -- Julien BLACHE <jblache@debian.org>  Thu, 20 May 2004 20:25:18 +0200

sane-backends (1.0.14-1) unstable; urgency=low

  * New upstream release.
    + USB IDs for EPSON Stylus CX5400 added. (Closes: #243295)
    + USB IDs for Nikon CoolScan 5000 added. (Closes: #243792)
  * debian/hotplug/*
    + removed, integrated upstream (tools/hotplug).
  * debian/patches/01_mustek_pp_unified.dpatch
    + removed, integrated in this release.
  * debian/patches/02_hp_backend_usb_fix.dpatch
    + removed, integrated in this release.
  * debian/rules
    + install the provided hotplug script and config file.

 -- Julien BLACHE <jblache@debian.org>  Sat,  1 May 2004 16:26:47 +0200

sane-backends (1.0.13-4) unstable; urgency=low

  * debian/patches/02_hp_backend_usb_fix.dpatch
    + added, pulled from CVS, fixes USB problems on kernel 2.6. (Closes: #242188)
  * Updated libsane.usermap from CVS. (Closes: #242090)
  * Updated README.Debian, fixed a couple of typos.

 -- Julien BLACHE <jblache@debian.org>  Sun, 11 Apr 2004 10:31:41 +0200

sane-backends (1.0.13-3) unstable; urgency=low

  * debian/libsane.config, debian/libsane.templates, debian/po:
    + Removed, we don't use debconf anymore.
  * debian/postinst:
    + Fixed the /dev/usb/parport0 typo that should have read /dev/parport0.
      Thanks to Tore Anderson for catching this one.
    + Removed anything debconf-related, only purge whatever is left in the
      debconf DB. (Closes: #224597)

 -- Julien BLACHE <jblache@debian.org>  Sat, 20 Dec 2003 18:44:37 +0100

sane-backends (1.0.13-2) unstable; urgency=low

  * debian/patches: order of the patches changed (slightly).
    + 01_mustek_pp_unified.dpatch: scan area fixes.

 -- Julien BLACHE <jblache@debian.org>  Mon,  1 Dec 2003 19:19:19 +0100

sane-backends (1.0.13-1) unstable; urgency=low

  * New upstream release.
  * debian/patches:
    + 20_net.c_fixes.dpatch : removed, merged upstream.
    + 21_gt68xx_uhci_fixes.dpatch : ditto.
    + 04_hp5400_sanei_config2.dpatch : ditto.
    + 03_new_configure : updated.
    + 04_mustek_pp_unified: added; with this patch the mustek_pp backend
      supports both CIS and CCD scanners. (Closes: #190998)
  * debconf:
    + Direct users to README.Debian.gz instead of README.Debian
     . (Closes: #217347)
    + Added Japanese translation. (Closes: #214040)
    + Added Dutch translation. (Closes: #218905)
    + Added German translation, thanks to Dirk Ritter and debian-l10n-german.
  * debian/sane-utils.README.Debian:
    + More details about the saned user and group, and the reason why the saned
      user is not part of the scanner group by default. (Closes: #220024)
  * debian/devfs/scanner:
    + Added an example for SCSI devices, thanks to Dirk Ritter.
  * debian/control:
    + Standards-Version bumped to 3.6.1 (no changes).
  * debian/rules, debian/compat:
    + Switch to DH_COMPAT 4, and moved from dh_movefiles to dh_install.
  * debian/control, debian/rules:
    + Build-depend on chrpath and use it to remove rpath from the binaries.

 -- Julien BLACHE <jblache@debian.org>  Mon, 24 Nov 2003 18:35:21 +0100

sane-backends (1.0.12-7) unstable; urgency=low

  * The "Maintainer's birthday" release.
  * Simplified the needlessly complex debconf questions. Now use a multiselect
    question instead of 3 independent questions:
    + debian/libsane.templates: rewritten to use a multiselect type
    + debian/libsane.config: ditto, try to convert from the older questions,
      then purge them once done.
    + debian/libsane.postinst: rewritten to parse the answer from the new
      debconf thingy.
    + debian/control: now Depends: debconf (>= 0.5.0) due to the use of db_fset
      in debian/libsane.config.
  * debian/libsane.postinst: use ':' as a separator for chown instead of '.'.
  * debian/libsane.README.Debian: ditto.
  * debian/control: only Suggests: hotplug. (Closes: #205291)

 -- Julien BLACHE <jblache@debian.org>  Wed, 20 Aug 2003 14:03:14 +0200

sane-backends (1.0.12-6) unstable; urgency=low

  [ Julien BLACHE ]
  * debian/control
    + Bumped Standards-Version to 3.6.0 (no changes).
    + libsane depends on adduser (>= 3.47).
    + libsane recommends hotplug.
  * debian/libsane.templates: templates slightly rewritten to accomodate the
    various debconf frontends. (Closes: #202744)
  * debconf-related items:
    + Switched debconf templates to debconf-po, thus build-depends on
      debhelper (>= 4.1.16). (Closes: #203669)
    + Added french debconf translation based on translation from Michel
      Grentzinger <mic.grentz(AT)online.fr> for sane-backends 1.0.12-5.
      (Closes: #203670)
  * debian/libsane.postinst:
    + Add a scanner system group, and chown root.scanner /dev/usb/scanner* if
      we create them. (Closes: #201851)
  * debian/libsane.README.Debian:
    + Added a Setup paragraph, detailing permissions issues and solutions
      implemented by this package.
  * debian/sane-utils.README.Debian:
    + Added, deals with permissions issues wrt the saned daemon.
  * hotplug support:
    + debian/hotplug/libusbscanner: added, hotplug script for scanners used
      with libusb, courtesy of Max Kutny <mkut(AT)umc.com.ua>. Installed as
      /etc/hotplug/usb/libusbscanner.
    + debian/hotplug/libsane.usermap: example map file for use with hotplug.
      Installed as /etc/hotplug/usb/libsane.usermap.

  [ Aurélien JARNO ]
  * debian/devfs/scanner:
    + Added, installed as /etc/devfs/conf.d/scanner.

 -- Julien BLACHE <jblache@debian.org>  Wed,  6 Aug 2003 13:08:11 +0200

sane-backends (1.0.12-5) unstable; urgency=low

  * 21_gt68xx_uhci_fixes.dpatch : fix timeout with UHCI host controllers.
  * debian/control:
    - Added temporary Build-Dependency on gcc-3.3 (>= 3.3.1-0pre0), which should
      fix the ICE on m68k.
  * debian/rules:
    - Should build with -O2 on m68k again.

 -- Julien BLACHE <jblache@debian.org>  Wed,  2 Jul 2003 12:04:59 +0200

sane-backends (1.0.12-4) unstable; urgency=low

  [ Julien BLACHE ]
  * The "I fucking hate libtool" release. Prevent libtool from checking things
    we do not need at all, such as a C++ or an F77 compiler. Sigh.
  * Converted to dpatch. Build-depends on dpatch.
  * Re-enable the gphoto2 backend, -but- do so that frontends do not get linked
    against libgphoto2. Only the backend is linked against it. (Closes: #195613)
  * Thus, adds back the libgphoto2-2-dev build-dependency.
  * Effectively move the html doc to the html subdir, instead of copying them
    with dh_install.

  [ Aurélien JARNO ]
  * Add autotools-stamp, so that configure won't be run twice.
  * Do not link sanei_config2 in hp5400 : not needed (fixes an undefined
    symbol, too).

 -- Julien BLACHE <jblache@debian.org>  Tue,  3 Jun 2003 22:34:48 +0200

sane-backends (1.0.12-3) unstable; urgency=low

  * Fix the net backend so that it _does_ try all alternatives before giving
    up connecting to the server. (Closes: #195396)

 -- Julien BLACHE <jblache@debian.org>  Fri, 30 May 2003 19:22:54 +0200

sane-backends (1.0.12-2) unstable; urgency=low

  * Build with -O1 on m68k; -O2 triggers an ICE.

 -- Julien BLACHE <jblache@debian.org>  Thu, 29 May 2003 11:36:41 +0200

sane-backends (1.0.12-1) unstable; urgency=low

  * New upstream release.
    + Should now work on m68k. Yeah. (Closes: #77356)
    + sane(7) has been improved. (Closes: #188647)
    + scanimage(1) has been fixed, wrt --batch.
    + The hp5400 backend has been included, replaces libsane-extras (<< 1.0.12.1).
    + IPv6 support.
  * Standards-Version bumped to 3.5.10 (no changes).
  * libsane-dev belongs to libdevel.
  * Do not generate manpages and documentation we do not need.

 -- Julien BLACHE <jblache@debian.org>  Sun, 25 May 2003 21:14:37 +0200

sane-backends (1.0.11-4) unstable; urgency=medium

  * Move saned.conf to the sane-utils package. Woops. (Closes: #192742)

 -- Julien BLACHE <jblache@debian.org>  Sat, 10 May 2003 08:41:23 +0200

sane-backends (1.0.11-3) unstable; urgency=medium

  * The "We want to enter testing" release.
  * Do not build the gphoto2 backend. Gphoto2 is blocked by a bunch of other
    packages (KDE, ...) and we're free of RC bugs. Enough.
  * Moved libphoto2-2-dev to Build-Conflicts.
  * Bumped shlibs.

 -- Julien BLACHE <jblache@debian.org>  Sat,  3 May 2003 21:09:58 +0200

sane-backends (1.0.11-2) unstable; urgency=low

  * Do not tell how to configure libusb. (Closes: #180570)
  * Do not print "Adding saned..." in sane-utils postinst
    when the user already exists.
  * Pulled fixed gphoto2 backend from CVS. (Closes: #180514)

 -- Julien BLACHE <jblache@debian.org>  Thu, 13 Feb 2003 13:22:21 +0100

sane-backends (1.0.11-1) unstable; urgency=low

  * New upstream release.
    + security fixes to saned. (Closes: #180203)
  * Added some debconf dialogs:
    + /dev/parport*
    + /dev/sg*
    + note about /proc/bus/usb

 -- Julien BLACHE <jblache@debian.org>  Sun,  9 Feb 2003 21:17:16 +0100

sane-backends (1.0.10-2) unstable; urgency=low

  * Fix postrm breakage. (Closes: #179586)

 -- Julien BLACHE <jblache@debian.org>  Mon,  3 Feb 2003 12:39:14 +0100

sane-backends (1.0.10-1) unstable; urgency=low

  * New upstream release.
    + fixed sane-scsi manpage. (Closes: #174136)
    + mustek_pp now has CIS support. (Closes: #152321)
  * Added http://www.mostang.com/sane/sane-mfgs.html
    as /usr/share/doc/libsane/supported.html. (Closes: #174131)
  * New backends, previously included in libsane-extras :
    + gt68xx
    + artec_eplus48u (known as tevion9693usb)
  * datadir is ${prefix}/share, not ${prefix}/share/sane.
  * Remove /usr/lib/sane/libsane.so.1, as it's not libsane.so.1
    (looks like a libtool side-effect).
  * Remove a couple more unwanted READMEs.
  * Bumped Standards-Version to 3.5.8.
  * Added a debconf dialog to create /dev/usb/*. (Closes: #177979)
  * Added missing dependency on adduser to sane-utils.

 -- Julien BLACHE <jblache@debian.org>  Sun,  2 Feb 2003 11:22:24 +0100

sane-backends (1.0.9-4) unstable; urgency=low

  * Pulled dll.c from CVS, fixes in-line comments. (Closes: #171521)
  * Applied patch for Plustek backend rounding bug. (Closes: #172012)

 -- Julien BLACHE <jblache@debian.org>  Mon,  9 Dec 2002 11:51:26 +0100

sane-backends (1.0.9-3) unstable; urgency=low

  * Rebuilt against new libgphoto2 package.
  * Changed Uploaders: filed so that Aurélien's uploads won't be tagged as
    NMU again.
  * Do not generate debian/libsane.conffiles at build time, this is handled
    by dh_installdeb automatically ; otherwise we end up with each conffile
    being listed twice...

 -- Julien BLACHE <jblache@debian.org>  Sun,  1 Dec 2002 11:29:43 +0100

sane-backends (1.0.9-2) unstable; urgency=low

  * Co-maintainer upload.
  * Remove /etc/sane.d directory on purge. (Closes: #167603)

 -- Aurelien Jarno <aurel32@debian.org>  Mon,  4 Nov 2002 14:10:54 +0100

sane-backends (1.0.9-1) unstable; urgency=low

  * New upstream release.
    + Video for Linux (v4l) backend cleanup. (Closes: #159634)
    + Updated Avision backend. (Closes: #146054)
    + Updated Epson backend. (Closes: #114017)
    + Fixed char signedness in backend/plustek-usbshading.c. (Closes: #164464)
  * Fixed debian/copyright. (Closes: #146057)
  * Enabled translations.
  * Do not install the upstream changelog twice.
  * sane-utils does not create /home/saned.
  * Fixed packages descriptions. (Closes: #165138)

 -- Julien BLACHE <jblache@debian.org>  Thu, 24 Oct 2002 18:52:29 +0200

sane-backends (1.0.8-4) unstable; urgency=low

  * libsane-extras has its own source package now.

 -- Julien BLACHE <jblache@debian.org>  Sun, 13 Oct 2002 10:49:54 +0200

sane-backends (1.0.8-3) unstable; urgency=low

  * New maintainers.
  * New upstream release. (Closes: #162532, #149317)
    + saned manpage mentions /usr/sbin/saned. (Closes: #141464)
    + Symlinks for manpages are properly created. (Closes: #99551)
    + Fixed hostnames handling in saned.conf. (Closes: #51171)
    + HP backend update. (Closes: #116962)
    + Backend loader respects LD_LIBRARY_PATH. (Closes: #143771)
    + Path for Epson USB scanner corrected in conf file. (Closes: #154296, #154305)
    + A test backend is included, safer than the pnm backend. (Closes: #139256)
    + Umax backend fixed. (Closes: #158676)
    + HP backend fixed, no longer segfaults. (Closes: 154827)
  * Repackaged from scratch, using debhelper.
  * Standards-Version bumped to 3.5.6.
  * Do not include rpath informations in sane-config. (Closes: #143603)
  * Fixed build problem wrt umask. (Closes: #95440)
  * Updated libsane-dev Depends. (Closes: #142679)
  * Fixed typos in umax_pp.conf. (Closes: #158742)
  * Fixed hp.conf for some scanners. (Closes: #154828)
  * Fixed README.Debian. (Closes: #146039)
  * Fixed sane-plustek(5) manpage. (Closes: #159435)
  * New package sane-utils, contains sane-find-scanner, scanimage and saned.
    + sane-utils creates user and group saned. (Closes: #141465)
  * New package libsane-extras, containing some extra backends
    + hp4200     (v0.2p1)
    + gt68xx     (v1.0-23)
    + niash      (v20020217) (Closes: #160327)
    + tevion9693 (v0.0.9)
  * Disabled translations until 1.0.9.

 -- Julien BLACHE <jblache@debian.org>  Sat, 12 Oct 2002 10:28:09 +0200

sane-backends (1.0.8-2) unstable; urgency=low

  * Added build-depends on gettext. (Closes: #163681)

 -- Kevin Dalley <kevind@rahul.net>  Mon,  7 Oct 2002 09:32:21 -0700

sane-backends (1.0.8-1) unstable; urgency=low

  * New upstream release.
    + Many new backends
    + Many more updated backends

 -- Kevin Dalley <kevind@rahul.net>  Sun,  6 Oct 2002 18:09:28 -0700

sane-backends (1.0.7-3.2) unstable; urgency=high

  * Non-Maintainer Upload.
  * Fix build on SPARC.
  * Fix build on HPPA, although it's not RC. (Closes: #138108)

 -- Julien BLACHE <jblache@debian.org>  Sun,  7 Apr 2002 11:39:41 +0200

sane-backends (1.0.7-3.1) unstable; urgency=medium

  * Non-Maintainer upload.
  * Fixes compilation on Alpha, using the frontend/scanimage.c file from
    the current CVS. (Closes: #138108)
  * Apply patch submitted for #139509, regarding config.{sub,guess} issues
    on MIPS. (Closes: #139509)
  * Fix lintian complaint wrt misplaced Conflicts: field in control file.
  * Fix lintian complaint about .comment section in /usr/lib/sane/*.so.*.

 -- Julien BLACHE <jblache@debian.org>  Sun, 31 Mar 2002 20:24:48 +0200

sane-backends (1.0.7-3) unstable; urgency=low

  * Link against libusb-0.1-4. (Closes: #119393)

 -- Kevin Dalley <kevind@rahul.net>  Fri, 15 Mar 2002 18:31:08 +0000

sane-backends (1.0.7-2) unstable; urgency=low

  * Don't link against libusb due to inconsistencies with versions of libusb
    libraries. When libusb installation is cleaned up, then usb support
    will be added again. Unfortunately, this re-opens #119393, though
    with a lower severity. (Closes: #138349)

 -- Kevin Dalley <kevind@rahul.net>  Thu, 14 Mar 2002 22:25:53 +0000

sane-backends (1.0.7-1) unstable; urgency=low

  * New upstream release.
  * Add libusb, which includes ScanMaker 3600 drivers. (Closes: #119393)
  * Install plustek-share.h so that plustek driver can be built.
    (Closes: #72341)

 -- Kevin Dalley <kevind@rahul.net>  Thu, 14 Mar 2002 01:02:21 +0000

sane-backends (1.0.6-1) unstable; urgency=low

  * New upstream release.
    + New backend: gphoto2.

 -- Kevin Dalley <kevind@rahul.net>  Sun, 27 Jan 2002 23:30:19 -0800

sane-backends (1.0.5-3) unstable; urgency=low

  * Rebuilt with new version of libgimp-1.2.2-2.

 -- Kevin Dalley <kevind@rahul.net>  Tue,  2 Oct 2001 22:31:15 -0700

sane-backends (1.0.5-2) unstable; urgency=low

  * Removed incorrect build dependency on libc6-dev. (Closes: #108639)

 -- Kevin Dalley <kevind@rahul.net>  Thu, 16 Aug 2001 08:12:40 -0700

sane-backends (1.0.5-1) unstable; urgency=low

  * New backends: bh (Bell+Howell Copiscan II series), dc240 (Kodak DC240
    Digital Camera), sm3600 (Microtek ScanMaker 3600), umax_pp (Umax paralell
    port scanners).
  * Fix security bug in saned.c that allowed access to scanner without
    password.

 -- Kevin Dalley <kevind@rahul.net>  Sat, 28 Jul 2001 12:38:46 -0700

sane-backends (1.0.4-2) unstable; urgency=low

  * Increase timeout in sanei_scsi.c, which removes problem with 2.4
    kernels. (Closes: #84407)

 -- Kevin Dalley <kevind@rahul.net>  Thu, 31 May 2001 04:36:29 -0700

sane-backends (1.0.4-1) unstable; urgency=low

  * New upstream release.
  * Add backend as63driver. (Closes: #69625)

 -- Kevin Dalley <kevin@seti.org>  Sun, 28 Jan 2001 09:17:24 -0800

sane-gimp1.1 (1.0.3-4) unstable; urgency=low

  * Link sane-gimp1.1 against libgimp1.1-1.1.29.
  * Change control files so that packages sane and sane-gimp1.1 are
    explicitly described as working with gimp and gimp1.1 respectively.
    The package sane now mentions the packages sane-gimp1.1 and vice
    versa.

 -- Kevin Dalley <kevind@rahul.net>  Sun,  5 Nov 2000 13:56:49 -0800

sane (1.0.3-3) unstable; urgency=low

  * Link sane-gimp1.1 against libgimp1.1-1.1.28, which is new library.
    (Closes: #75029)
  * Define GIMP_ENABLE_COMPAT_CRUFT to allow use of newer libgimp.

 -- Kevin Dalley <kevind@rahul.net>  Sun, 22 Oct 2000 21:52:29 -0700

sane (1.0.3-2) unstable; urgency=low

  * Fix dependency in libsane-dev. (Closes: #71578)
  * Remove extraneous file which contains space in its name, which causes
    patch and dpkg-source to fail. (Closes: #71566, #71564, #71540)

 -- Kevin Dalley <kevind@rahul.net>  Fri, 22 Sep 2000 23:04:17 -0700

sane (1.0.3-1) unstable; urgency=low

  * New upstream release.
    + New backends:
      - mustek_pp
      - plustek
      - st400
      - v41
    + Many updated backends.
    + 16 bit support for scanimage.

 -- Kevin Dalley <kevind@rahul.net>  Sat,  2 Sep 2000 11:32:08 -0700

sane (1.0.2-1) unstable; urgency=low

  * New upstream release.
  * Aliased and hidden backend support.
  * Added Ricoh IS50 support.
  * updated many backends.
  * New Linux SCSI Generic driver.
  * sane-gimp1.1 linked with libsane-1,1.22. (Closes: #66544)

 -- Kevin Dalley <kevind@rahul.net>  Mon,  3 Jul 2000 23:38:42 -0700

sane (1.0.1-1999-10-21-12) unstable; urgency=low

  * Add libjpeg62-dev, tetex-bin, tetex-extra to Build-Depends.
    (Closes: #61834, 61835)

 -- Kevin Dalley <kevind@rahul.net>  Wed,  5 Apr 2000 10:37:38 -0700

sane-gimp1.1 (1.0.1-1999-10-21-11) unstable; urgency=low

  * Add Build-Depends to control files for sane and sane-gimp1.1.
    (Closes: #60923)

 -- Kevin Dalley <kevind@rahul.net>  Mon, 27 Mar 2000 03:16:55 -0800

sane (1.0.1-1999-10-21-10) unstable; urgency=low

  * Improve description in control file. (Closes: #57032)
  * Link sane-gimp1.1 with libgimp1.1.17, which is the most recent
    libgimp1.1 in frozen unstable.

 -- Kevin Dalley <kevind@rahul.net>  Mon, 28 Feb 2000 02:37:20 +0000

sane (1.0.1-1999-10-21-9) unstable; urgency=low

  * Link sane-gimp1.1 with libgimp1.1.15, which is the most recent
    libgimp1.1 in frozen unstable.

 -- Kevin Dalley <kevind@rahul.net>  Sat, 22 Jan 2000 01:57:55 -0800

sane (1.0.1-1999-10-21-8) unstable; urgency=low

  * sane now conflicts with gimp1.1, which increases the chances of
    getting the correct versions of gimp with each version of sane.
    Unfortunately, sane-gimp1.1 cannot conflict with gimp, since
    gimp1.1 provides gimp. (Closes: #55070)

 -- Kevin Dalley <kevind@rahul.net>  Sun, 16 Jan 2000 11:41:52 -0800

sane (1.0.1-1999-10-21-7) unstable; urgency=low

  * Link against libgimp1.1.14. (Closes: #53982)
  * Remove conflict of libsane-gimp1.1 with itself. (Closes: #49709)
  * Each version of sane and sane-gimp1.1 now depend upon the same release
    of libsane. (Closes: #50927)
  * shlibs dependencies are updated to ">= 1.0.1-1999-10-21-7" to reduce
    chances of problem #50927.

 -- Kevin Dalley <kevind@rahul.net>  Sun,  9 Jan 2000 13:22:57 -0800

sane (1.0.1-1999-10-21-6) unstable; urgency=low

  * Add conflict between libsane and older version of sane, sane-gimp1.1
    due to moving documentation from sane to libsane. (Closes: #50735)

 -- Kevin Dalley <kevind@rahul.net>  Sat, 20 Nov 1999 15:15:30 -0400

sane (1.0.1-1999-10-21-5) unstable; urgency=low

  * Add symbolic link to /usr/lib/libsane-dll.so, again.

 -- Kevin Dalley <kevind@rahul.net>  Fri, 19 Nov 1999 00:03:40 -0400

sane (1.0.1-1999-10-21-4) unstable; urgency=low

  * Fix problematic stripping of "libsane.la". (Closes: #50099)
  * Move much of documentation from the sane package to the libsane
    and libsane-dev packages.
  * Move find-scanner to libsane package.

 -- Kevin Dalley <kevind@rahul.net>  Wed, 17 Nov 1999 23:08:44 -0400

sane (1.0.1-1999-10-21-3) unstable; urgency=low

  * Add symbolic link for /usr/lib/libsane-dll.so.

 -- Kevin Dalley <kevind@rahul.net>  Mon, 25 Oct 1999 01:24:30 -0700

sane (1.0.1-1999-10-21-2) unstable; urgency=low

  * Fix symbolic link for libsane.so.1.

 -- Kevin Dalley <kevind@rahul.net>  Sun, 24 Oct 1999 14:43:14 -0700

sane (1.0.1-1999-10-21-1) unstable; urgency=low

  * New CVS snapshot.
    + Fixes many bugs in various backends.

 -- Kevin Dalley <kevind@rahul.net>  Fri, 22 Oct 1999 22:06:52 -0700

sane (1.0.1-6) unstable; urgency=low

  * Relink sane-gimp1.1 with libgimp1.1.10

 -- Kevin Dalley <kevind@rahul.net>  Thu, 14 Oct 1999 23:33:18 -0700

sane (1.0.1-5) unstable; urgency=low

  * Relink sane-gimp1.1 with libgimp1.1.9
  * Separate sane-gimp1.1 from sane.

 -- Kevin Dalley <kevind@rahul.net>  Sun, 10 Oct 1999 03:42:37 -0700

sane (1.0.1-4) unstable; urgency=low

  * Added sane-gimp1.1 (used with gimp1.1) at the same time as sane for
    gimp-1.0.x.

 -- Kevin Dalley <kevind@rahul.net>  Wed, 30 Jun 1999 00:54:57 -0700

sane (1.0.1-3) unstable; urgency=low

  * Try to fix problems with shared libraries. Install libsane-dll.so in
    /usr/lib so that programs linked with libsane will run.
    (Closes: #37756)

 -- Kevin Dalley <kevind@rahul.net>  Mon, 31 May 1999 22:15:16 -0700

sane (1.0.1-2) unstable; urgency=low

  * Remove dependencies for libsane.

 -- Kevin Dalley <kevind@rahul.net>  Fri, 30 Apr 1999 23:08:50 -0700

sane (1.0.1-1) unstable; urgency=low

  * New upstream release.
  * New backend for Sharp scanners
  * Update backends for Kodak DC25, HP, Microtek, Micro, Mustek, Nikon
    Coolscan, snapscan, UMAX.
  * Fixes a problem with HP scanners. (Closes: #32516)
  * Includes backend for dc210. (Closes: #31377)

 -- Kevin Dalley <kevind@rahul.net>  Tue, 27 Apr 1999 01:24:33 -0700

sane (1.00-2) unstable; urgency=low

  * Removed examples directory. Moved examples/tools to tools directory.

 -- Kevin Dalley <kevind@rahul.net>  Mon,  5 Apr 1999 02:04:53 -0700

sane (1.00-1) unstable; urgency=low

  * New upstream release.
  * Artec backend is back in dll.conf.
  * Many more scanner are supported now and more changes.

 -- Kevin Dalley <kevind@rahul.net>  Sat,  5 Dec 1998 01:00:30 -0800

sane (0.74-2) unstable; urgency=low

  * Temporarily comment out Artec backend in dll.conf, due to bad
    interaction with Umax scanner. When using an Artec scanner,
    uncomment "artec" in dll.conf.
  * Automatically generates conffiles. (Closes: #26545)
    Thanks to Roman Hodek <roman.hodek@informatik.uni-erlangen.de>.
  * Fix a problem with creation of /usr/share/sane during the
    build process. (Closes: #26314)

 -- Kevin Dalley <kevind@rahul.net>  Sun, 20 Sep 1998 18:00:28 -0700

sane (0.74-1) unstable; urgency=low

  * New upstream release.

 -- Kevin Dalley <kevind@rahul.net>  Sat, 22 Aug 1998 23:06:26 -0700

sane (0.72-1) unstable; urgency=low

  * New upstream release.
  * First official release to support libgtk1-0.99.9.

 -- Kevin Dalley <kevind@rahul.net>  Fri, 10 Apr 1998 02:29:52 -0700

sane (0.71-2) unstable; urgency=low

  * Fixed spelling in control files. (Closes: # 19003)
  * Modified to match latest change in libgtk-0.99.5
  * Change datadir to /usr/share/sane
  * Compatible with libgtk1-0.99.8. (Closes: #19595)

 -- Kevin Dalley <kevind@rahul.net>  Sun, 22 Mar 1998 19:44:10 -0800

sane (0.71-1) unstable; urgency=low

  * New upstream release.
    + New backends:
      - Polaroid Digital Microscope Cameras (DMC)
      - Apple scanners
      - Nikon CoolScan
  * Remove execute permission in doc directory. (Closes: #17949)
  * Modify manual page referring to symbolic link of xscanimage.
    (Closes: #18071)

 -- Kevin Dalley <kevind@rahul.net>  Fri, 27 Feb 1998 23:03:08 -0800

sane (0.70-1) unstable; urgency=low

  * New upstream release:
    + New and updated backends:
      - AGFA SnapScan
      - UMAX scanners
  * Add patches 2-5 to SnapScan backend which allows other scanners
    to work as well with the backend

 -- Kevin Dalley <kevind@rahul.net>  Sat, 31 Jan 1998 17:32:53 -0800

sane (0.69-2) unstable; urgency=low

  * Modify umax-scanner.h so that Astra 1200S is legal.

 -- Kevin Dalley <kevind@rahul.net>  Sun, 25 Jan 1998 09:44:45 -0800

sane (0.69-1) unstable; urgency=low

  * New upstream release.

 -- Kevin Dalley <kevind@rahul.net>  Fri, 23 Jan 1998 20:24:01 -0800

sane (0.68-4) unstable; urgency=low

  * Modify gtkglue.c to correspond with changes to libgtk1.

 -- Kevin Dalley <kevind@rahul.net>  Tue,  6 Jan 1998 22:24:14 -0800

sane (0.68-3) unstable; urgency=low

  * Change plug-in directory to 0.99 to match gimp changes,
    add explicit gimp dependency.
  * Add README.debian.
  * Install find-scanner.
  * Install many documentation files.

 -- Kevin Dalley <kevind@rahul.net>  Fri,  2 Jan 1998 21:51:52 -0800

sane (0.68-2) unstable; urgency=low

  * Fix control file.

 -- Kevin Dalley <kevind@rahul.net>  Sun, 21 Dec 1997 18:26:23 -0800

sane (0.68-1) unstable; urgency=low

  * New upstream release.

 -- Kevin Dalley <kevind@rahul.net>  Fri,  5 Dec 1997 00:42:27 -0800

sane (0.67-1) unstable; urgency=low

  * Initial release.

 -- Kevin Dalley <kevind@rahul.net>  Tue, 18 Nov 1997 21:38:41 -0800
